{-# LANGUAGE OverloadedStrings #-}
module Finance.OpenSymbology.PricingSourceParsers where

import Control.Applicative
import qualified Data.Attoparsec.Text as A
import Finance.OpenSymbology.PricingSourceAbbreviations
import Prelude hiding(EQ,GT)

pricingSourceParser :: A.Parser (Maybe Abbreviation)
pricingSourceParser =
    A.string "A0" *> pure (Just A0)
  <|> A.string "AA" *> pure (Just AA)
  <|> A.string "AABA" *> pure (Just AABA)
  <|> A.string "AABI" *> pure (Just AABI)
  <|> A.string "AABV" *> pure (Just AABV)
  <|> A.string "AACO" *> pure (Just AACO)
  <|> A.string "AAEB" *> pure (Just AAEB)
  <|> A.string "AAKZ" *> pure (Just AAKZ)
  <|> A.string "AASG" *> pure (Just AASG)
  <|> A.string "AAWH" *> pure (Just AAWH)
  <|> A.string "AB" *> pure (Just AB)
  <|> A.string "ABCC" *> pure (Just ABCC)
  <|> A.string "ABCN" *> pure (Just ABCN)
  <|> A.string "ABMB" *> pure (Just ABMB)
  <|> A.string "ABMV" *> pure (Just ABMV)
  <|> A.string "ABN" *> pure (Just ABN)
  <|> A.string "ABNA" *> pure (Just ABNA)
  <|> A.string "ABNN" *> pure (Just ABNN)
  <|> A.string "ABNO" *> pure (Just ABNO)
  <|> A.string "ABNT" *> pure (Just ABNT)
  <|> A.string "ABNX" *> pure (Just ABNX)
  <|> A.string "ABSB" *> pure (Just ABSB)
  <|> A.string "ABSC" *> pure (Just ABSC)
  <|> A.string "ABSY" *> pure (Just ABSY)
  <|> A.string "ACE " *> pure (Just ACE )
  <|> A.string "ACOF" *> pure (Just ACOF)
  <|> A.string "AD" *> pure (Just AD)
  <|> A.string "ADCP" *> pure (Just ADCP)
  <|> A.string "AEFX" *> pure (Just AEFX)
  <|> A.string "AF" *> pure (Just AF)
  <|> A.string "AFE" *> pure (Just AFE)
  <|> A.string "AFMA" *> pure (Just AFMA)
  <|> A.string "AFSP" *> pure (Just AFSP)
  <|> A.string "AGRI" *> pure (Just AGRI)
  <|> A.string "AGRN" *> pure (Just AGRN)
  <|> A.string "AH" *> pure (Just AH)
  <|> A.string "AI" *> pure (Just AI)
  <|> A.string "AIAF" *> pure (Just AIAF)
  <|> A.string "AIAP" *> pure (Just AIAP)
  <|> A.string "AIBF" *> pure (Just AIBF)
  <|> A.string "AIRB" *> pure (Just AIRB)
  <|> A.string "AJIB" *> pure (Just AJIB)
  <|> A.string "AKBS" *> pure (Just AKBS)
  <|> A.string "AKGM" *> pure (Just AKGM)
  <|> A.string "AKGX" *> pure (Just AKGX)
  <|> A.string "ALCM" *> pure (Just ALCM)
  <|> A.string "ALET" *> pure (Just ALET)
  <|> A.string "AM" *> pure (Just AM)
  <|> A.string "AMCE" *> pure (Just AMCE)
  <|> A.string "AMCM" *> pure (Just AMCM)
  <|> A.string "AMIB" *> pure (Just AMIB)
  <|> A.string "AMJK" *> pure (Just AMJK)
  <|> A.string "AMKB" *> pure (Just AMKB)
  <|> A.string "AMMB" *> pure (Just AMMB)
  <|> A.string "AMR1" *> pure (Just AMR1)
  <|> A.string "AMSP" *> pure (Just AMSP)
  <|> A.string "AMTS" *> pure (Just AMTS)
  <|> A.string "ANBE" *> pure (Just ANBE)
  <|> A.string "ANDE" *> pure (Just ANDE)
  <|> A.string "ANDF" *> pure (Just ANDF)
  <|> A.string "ANDI" *> pure (Just ANDI)
  <|> A.string "ANTS" *> pure (Just ANTS)
  <|> A.string "ANZA" *> pure (Just ANZA)
  <|> A.string "ANZE" *> pure (Just ANZE)
  <|> A.string "ANZI" *> pure (Just ANZI)
  <|> A.string "ANZJ" *> pure (Just ANZJ)
  <|> A.string "ANZK" *> pure (Just ANZK)
  <|> A.string "ANZV" *> pure (Just ANZV)
  <|> A.string "AO" *> pure (Just AO)
  <|> A.string "AP" *> pure (Just AP)
  <|> A.string "AQ" *> pure (Just AQ)
  <|> A.string "AR" *> pure (Just AR)
  <|> A.string "ARCA" *> pure (Just ARCA)
  <|> A.string "ARGI" *> pure (Just ARGI)
  <|> A.string "ARKH" *> pure (Just ARKH)
  <|> A.string "ARME" *> pure (Just ARME)
  <|> A.string "ASE" *> pure (Just ASE)
  <|> A.string "ASX" *> pure (Just ASX)
  <|> A.string "AT" *> pure (Just AT)
  <|> A.string "AU" *> pure (Just AU)
  <|> A.string "AURI" *> pure (Just AURI)
  <|> A.string "AV" *> pure (Just AV)
  <|> A.string "AVAL" *> pure (Just AVAL)
  <|> A.string "AXG" *> pure (Just AXG)
  <|> A.string "AY" *> pure (Just AY)
  <|> A.string "AZCN" *> pure (Just AZCN)
  <|> A.string "AZES" *> pure (Just AZES)
  <|> A.string "AZIO" *> pure (Just AZIO)
  <|> A.string "AZMF" *> pure (Just AZMF)
  <|> A.string "B3" *> pure (Just B3)
  <|> A.string "BA" *> pure (Just BA)
  <|> A.string "BAAG" *> pure (Just BAAG)
  <|> A.string "BAAM" *> pure (Just BAAM)
  <|> A.string "BAAS" *> pure (Just BAAS)
  <|> A.string "BACG" *> pure (Just BACG)
  <|> A.string "BAEC" *> pure (Just BAEC)
  <|> A.string "BAEF" *> pure (Just BAEF)
  <|> A.string "BAKM" *> pure (Just BAKM)
  <|> A.string "BAKT" *> pure (Just BAKT)
  <|> A.string "BALS" *> pure (Just BALS)
  <|> A.string "BAMA" *> pure (Just BAMA)
  <|> A.string "BAMT" *> pure (Just BAMT)
  <|> A.string "BANC" *> pure (Just BANC)
  <|> A.string "BANE" *> pure (Just BANE)
  <|> A.string "BAPX" *> pure (Just BAPX)
  <|> A.string "BART" *> pure (Just BART)
  <|> A.string "BARX" *> pure (Just BARX)
  <|> A.string "BASY" *> pure (Just BASY)
  <|> A.string "BB" *> pure (Just BB)
  <|> A.string "BB3" *> pure (Just BB3)
  <|> A.string "BB3P" *> pure (Just BB3P)
  <|> A.string "BBAS" *> pure (Just BBAS)
  <|> A.string "BBCH" *> pure (Just BBCH)
  <|> A.string "BBES" *> pure (Just BBES)
  <|> A.string "BBRT" *> pure (Just BBRT)
  <|> A.string "BBRU" *> pure (Just BBRU)
  <|> A.string "BBSL" *> pure (Just BBSL)
  <|> A.string "BBT" *> pure (Just BBT)
  <|> A.string "BBVA" *> pure (Just BBVA)
  <|> A.string "BBVI" *> pure (Just BBVI)
  <|> A.string "BBVL" *> pure (Just BBVL)
  <|> A.string "BBVP" *> pure (Just BBVP)
  <|> A.string "BBVU" *> pure (Just BBVU)
  <|> A.string "BBYF" *> pure (Just BBYF)
  <|> A.string "BBYY" *> pure (Just BBYY)
  <|> A.string "BC" *> pure (Just BC)
  <|> A.string "BCBA" *> pure (Just BCBA)
  <|> A.string "BCBL" *> pure (Just BCBL)
  <|> A.string "BCBY" *> pure (Just BCBY)
  <|> A.string "BCC" *> pure (Just BCC)
  <|> A.string "BCCB" *> pure (Just BCCB)
  <|> A.string "BCCN" *> pure (Just BCCN)
  <|> A.string "BCCS" *> pure (Just BCCS)
  <|> A.string "BCCY" *> pure (Just BCCY)
  <|> A.string "BCEE" *> pure (Just BCEE)
  <|> A.string "BCHO" *> pure (Just BCHO)
  <|> A.string "BCII" *> pure (Just BCII)
  <|> A.string "BCJB" *> pure (Just BCJB)
  <|> A.string "BCJP" *> pure (Just BCJP)
  <|> A.string "BCMH" *> pure (Just BCMH)
  <|> A.string "BCMI" *> pure (Just BCMI)
  <|> A.string "BCMN" *> pure (Just BCMN)
  <|> A.string "BCMP" *> pure (Just BCMP)
  <|> A.string "BCMR" *> pure (Just BCMR)
  <|> A.string "BCMS" *> pure (Just BCMS)
  <|> A.string "BCMZ" *> pure (Just BCMZ)
  <|> A.string "BCOH" *> pure (Just BCOH)
  <|> A.string "BCON" *> pure (Just BCON)
  <|> A.string "BCPC" *> pure (Just BCPC)
  <|> A.string "BCPL" *> pure (Just BCPL)
  <|> A.string "BCRO" *> pure (Just BCRO)
  <|> A.string "BCSB" *> pure (Just BCSB)
  <|> A.string "BCSY" *> pure (Just BCSY)
  <|> A.string "BCUS" *> pure (Just BCUS)
  <|> A.string "BCVE" *> pure (Just BCVE)
  <|> A.string "BCVS" *> pure (Just BCVS)
  <|> A.string "BD" *> pure (Just BD)
  <|> A.string "BDCH" *> pure (Just BDCH)
  <|> A.string "BDLB" *> pure (Just BDLB)
  <|> A.string "BDOP" *> pure (Just BDOP)
  <|> A.string "BEIR" *> pure (Just BEIR)
  <|> A.string "BELX" *> pure (Just BELX)
  <|> A.string "BERM" *> pure (Just BERM)
  <|> A.string "BEVS" *> pure (Just BEVS)
  <|> A.string "BFDC" *> pure (Just BFDC)
  <|> A.string "BFIS" *> pure (Just BFIS)
  <|> A.string "BFIX" *> pure (Just BFIX)
  <|> A.string "BFUA" *> pure (Just BFUA)
  <|> A.string "BFUS" *> pure (Just BFUS)
  <|> A.string "BFX" *> pure (Just BFX)
  <|> A.string "BG" *> pure (Just BG)
  <|> A.string "BGCA" *> pure (Just BGCA)
  <|> A.string "BGCT" *> pure (Just BGCT)
  <|> A.string "BGFO" *> pure (Just BGFO)
  <|> A.string "BGN" *> pure (Just BGN)
  <|> A.string "BGNC" *> pure (Just BGNC)
  <|> A.string "BGNL" *> pure (Just BGNL)
  <|> A.string "BGNN" *> pure (Just BGNN)
  <|> A.string "BGNS" *> pure (Just BGNS)
  <|> A.string "BGNT" *> pure (Just BGNT)
  <|> A.string "BGSP" *> pure (Just BGSP)
  <|> A.string "BGSS" *> pure (Just BGSS)
  <|> A.string "BH" *> pure (Just BH)
  <|> A.string "BHGB" *> pure (Just BHGB)
  <|> A.string "BHKD" *> pure (Just BHKD)
  <|> A.string "BHWA" *> pure (Just BHWA)
  <|> A.string "BI" *> pure (Just BI)
  <|> A.string "BIDS" *> pure (Just BIDS)
  <|> A.string "BIFI" *> pure (Just BIFI)
  <|> A.string "BIMC" *> pure (Just BIMC)
  <|> A.string "BING" *> pure (Just BING)
  <|> A.string "BK" *> pure (Just BK)
  <|> A.string "BKBK" *> pure (Just BKBK)
  <|> A.string "BKCO" *> pure (Just BKCO)
  <|> A.string "BKIN" *> pure (Just BKIN)
  <|> A.string "BKIR" *> pure (Just BKIR)
  <|> A.string "BKTR" *> pure (Just BKTR)
  <|> A.string "BLC" *> pure (Just BLC)
  <|> A.string "BLCS" *> pure (Just BLCS)
  <|> A.string "BLFQ" *> pure (Just BLFQ)
  <|> A.string "BLSE" *> pure (Just BLSE)
  <|> A.string "BLXB" *> pure (Just BLXB)
  <|> A.string "BM" *> pure (Just BM)
  <|> A.string "BMA" *> pure (Just BMA)
  <|> A.string "BMCE" *> pure (Just BMCE)
  <|> A.string "BMCN" *> pure (Just BMCN)
  <|> A.string "BMF" *> pure (Just BMF)
  <|> A.string "BMF1" *> pure (Just BMF1)
  <|> A.string "BMF2" *> pure (Just BMF2)
  <|> A.string "BMFF" *> pure (Just BMFF)
  <|> A.string "BMFV" *> pure (Just BMFV)
  <|> A.string "BMLA" *> pure (Just BMLA)
  <|> A.string "BMLL" *> pure (Just BMLL)
  <|> A.string "BMLT" *> pure (Just BMLT)
  <|> A.string "BMMM" *> pure (Just BMMM)
  <|> A.string "BMOB" *> pure (Just BMOB)
  <|> A.string "BMOD" *> pure (Just BMOD)
  <|> A.string "BMON" *> pure (Just BMON)
  <|> A.string "BMOQ" *> pure (Just BMOQ)
  <|> A.string "BMSP" *> pure (Just BMSP)
  <|> A.string "BMTN" *> pure (Just BMTN)
  <|> A.string "BMTS" *> pure (Just BMTS)
  <|> A.string "BN" *> pure (Just BN)
  <|> A.string "BNAP" *> pure (Just BNAP)
  <|> A.string "BNBP" *> pure (Just BNBP)
  <|> A.string "BNCR" *> pure (Just BNCR)
  <|> A.string "BNCX" *> pure (Just BNCX)
  <|> A.string "BNDE" *> pure (Just BNDE)
  <|> A.string "BNMX" *> pure (Just BNMX)
  <|> A.string "BNP" *> pure (Just BNP)
  <|> A.string "BNPA" *> pure (Just BNPA)
  <|> A.string "BNPB" *> pure (Just BNPB)
  <|> A.string "BNPC" *> pure (Just BNPC)
  <|> A.string "BNPE" *> pure (Just BNPE)
  <|> A.string "BNPG" *> pure (Just BNPG)
  <|> A.string "BNPK" *> pure (Just BNPK)
  <|> A.string "BNPN" *> pure (Just BNPN)
  <|> A.string "BNPT" *> pure (Just BNPT)
  <|> A.string "BNPY" *> pure (Just BNPY)
  <|> A.string "BNS" *> pure (Just BNS)
  <|> A.string "BNSH" *> pure (Just BNSH)
  <|> A.string "BNSJ" *> pure (Just BNSJ)
  <|> A.string "BNSX" *> pure (Just BNSX)
  <|> A.string "BNVN" *> pure (Just BNVN)
  <|> A.string "BNZ" *> pure (Just BNZ)
  <|> A.string "BO" *> pure (Just BO)
  <|> A.string "BOAB" *> pure (Just BOAB)
  <|> A.string "BOAE" *> pure (Just BOAE)
  <|> A.string "BOAF" *> pure (Just BOAF)
  <|> A.string "BOAI" *> pure (Just BOAI)
  <|> A.string "BOAM" *> pure (Just BOAM)
  <|> A.string "BOAS" *> pure (Just BOAS)
  <|> A.string "BOAW" *> pure (Just BOAW)
  <|> A.string "BOCB" *> pure (Just BOCB)
  <|> A.string "BOCF" *> pure (Just BOCF)
  <|> A.string "BOCH" *> pure (Just BOCH)
  <|> A.string "BOCN" *> pure (Just BOCN)
  <|> A.string "BOCX" *> pure (Just BOCX)
  <|> A.string "BOII" *> pure (Just BOII)
  <|> A.string "BOIJ" *> pure (Just BOIJ)
  <|> A.string "BOIX" *> pure (Just BOIX)
  <|> A.string "BOKR" *> pure (Just BOKR)
  <|> A.string "BOSH" *> pure (Just BOSH)
  <|> A.string "BOTM" *> pure (Just BOTM)
  <|> A.string "BPAG" *> pure (Just BPAG)
  <|> A.string "BPAP" *> pure (Just BPAP)
  <|> A.string "BPAU" *> pure (Just BPAU)
  <|> A.string "BPAX" *> pure (Just BPAX)
  <|> A.string "BPCB" *> pure (Just BPCB)
  <|> A.string "BPCN" *> pure (Just BPCN)
  <|> A.string "BPDQ" *> pure (Just BPDQ)
  <|> A.string "BPEA" *> pure (Just BPEA)
  <|> A.string "BPGL" *> pure (Just BPGL)
  <|> A.string "BPHX" *> pure (Just BPHX)
  <|> A.string "BPIC" *> pure (Just BPIC)
  <|> A.string "BPKL" *> pure (Just BPKL)
  <|> A.string "BPMO" *> pure (Just BPMO)
  <|> A.string "BPNI" *> pure (Just BPNI)
  <|> A.string "BPSE" *> pure (Just BPSE)
  <|> A.string "BPSH" *> pure (Just BPSH)
  <|> A.string "BPSX" *> pure (Just BPSX)
  <|> A.string "BQ" *> pure (Just BQ)
  <|> A.string "BRDE" *> pure (Just BRDE)
  <|> A.string "BRE" *> pure (Just BRE)
  <|> A.string "BREX" *> pure (Just BREX)
  <|> A.string "BS" *> pure (Just BS)
  <|> A.string "BSAC" *> pure (Just BSAC)
  <|> A.string "BSBO" *> pure (Just BSBO)
  <|> A.string "BSCH" *> pure (Just BSCH)
  <|> A.string "BSCR" *> pure (Just BSCR)
  <|> A.string "BSE" *> pure (Just BSE)
  <|> A.string "BSEQ" *> pure (Just BSEQ)
  <|> A.string "BSHA" *> pure (Just BSHA)
  <|> A.string "BSIM" *> pure (Just BSIM)
  <|> A.string "BSMI" *> pure (Just BSMI)
  <|> A.string "BSNX" *> pure (Just BSNX)
  <|> A.string "BSSP" *> pure (Just BSSP)
  <|> A.string "BSTO" *> pure (Just BSTO)
  <|> A.string "BSX" *> pure (Just BSX)
  <|> A.string "BT" *> pure (Just BT)
  <|> A.string "BTFX" *> pure (Just BTFX)
  <|> A.string "BTG" *> pure (Just BTG)
  <|> A.string "BTGC" *> pure (Just BTGC)
  <|> A.string "BTHA" *> pure (Just BTHA)
  <|> A.string "BTMV" *> pure (Just BTMV)
  <|> A.string "BU" *> pure (Just BU)
  <|> A.string "BUCH" *> pure (Just BUCH)
  <|> A.string "BUEP" *> pure (Just BUEP)
  <|> A.string "BUMI" *> pure (Just BUMI)
  <|> A.string "BVC" *> pure (Just BVC)
  <|> A.string "BVMT" *> pure (Just BVMT)
  <|> A.string "BVPA" *> pure (Just BVPA)
  <|> A.string "BW" *> pure (Just BW)
  <|> A.string "BX" *> pure (Just BX)
  <|> A.string "BXAB" *> pure (Just BXAB)
  <|> A.string "BXAP" *> pure (Just BXAP)
  <|> A.string "BXEC" *> pure (Just BXEC)
  <|> A.string "BXEP" *> pure (Just BXEP)
  <|> A.string "BXIS" *> pure (Just BXIS)
  <|> A.string "BXJB" *> pure (Just BXJB)
  <|> A.string "BXJP" *> pure (Just BXJP)
  <|> A.string "BXOZ" *> pure (Just BXOZ)
  <|> A.string "BXPM" *> pure (Just BXPM)
  <|> A.string "BY" *> pure (Just BY)
  <|> A.string "BZ" *> pure (Just BZ)
  <|> A.string "C1" *> pure (Just C1)
  <|> A.string "CAAG" *> pure (Just CAAG)
  <|> A.string "CABG" *> pure (Just CABG)
  <|> A.string "CACN" *> pure (Just CACN)
  <|> A.string "CADO" *> pure (Just CADO)
  <|> A.string "CADP" *> pure (Just CADP)
  <|> A.string "CADR" *> pure (Just CADR)
  <|> A.string "CAEG" *> pure (Just CAEG)
  <|> A.string "CAFD" *> pure (Just CAFD)
  <|> A.string "CAIN" *> pure (Just CAIN)
  <|> A.string "CALO" *> pure (Just CALO)
  <|> A.string "CASA" *> pure (Just CASA)
  <|> A.string "CASX" *> pure (Just CASX)
  <|> A.string "CATH" *> pure (Just CATH)
  <|> A.string "CATL" *> pure (Just CATL)
  <|> A.string "CATR" *> pure (Just CATR)
  <|> A.string "CB" *> pure (Just CB)
  <|> A.string "CBA" *> pure (Just CBA)
  <|> A.string "CBAB" *> pure (Just CBAB)
  <|> A.string "CBAL" *> pure (Just CBAL)
  <|> A.string "CBAS" *> pure (Just CBAS)
  <|> A.string "CBAX" *> pure (Just CBAX)
  <|> A.string "CBBT" *> pure (Just CBBT)
  <|> A.string "CBCF" *> pure (Just CBCF)
  <|> A.string "CBCP" *> pure (Just CBCP)
  <|> A.string "CBCV" *> pure (Just CBCV)
  <|> A.string "CBDB" *> pure (Just CBDB)
  <|> A.string "CBED" *> pure (Just CBED)
  <|> A.string "CBEG" *> pure (Just CBEG)
  <|> A.string "CBF" *> pure (Just CBF)
  <|> A.string "CBIE" *> pure (Just CBIE)
  <|> A.string "CBIJ" *> pure (Just CBIJ)
  <|> A.string "CBKF" *> pure (Just CBKF)
  <|> A.string "CBKG" *> pure (Just CBKG)
  <|> A.string "CBKL" *> pure (Just CBKL)
  <|> A.string "CBKT" *> pure (Just CBKT)
  <|> A.string "CBLU" *> pure (Just CBLU)
  <|> A.string "CBMA" *> pure (Just CBMA)
  <|> A.string "CBOB" *> pure (Just CBOB)
  <|> A.string "CBOE" *> pure (Just CBOE)
  <|> A.string "CBOI" *> pure (Just CBOI)
  <|> A.string "CBOJ" *> pure (Just CBOJ)
  <|> A.string "CBOK" *> pure (Just CBOK)
  <|> A.string "CBOQ" *> pure (Just CBOQ)
  <|> A.string "CBRF" *> pure (Just CBRF)
  <|> A.string "CBSB" *> pure (Just CBSB)
  <|> A.string "CBSL" *> pure (Just CBSL)
  <|> A.string "CBSP" *> pure (Just CBSP)
  <|> A.string "CBT" *> pure (Just CBT)
  <|> A.string "CBTW" *> pure (Just CBTW)
  <|> A.string "CBVE" *> pure (Just CBVE)
  <|> A.string "CC" *> pure (Just CC)
  <|> A.string "CCB" *> pure (Just CCB)
  <|> A.string "CCBD" *> pure (Just CCBD)
  <|> A.string "CCBK" *> pure (Just CCBK)
  <|> A.string "CCBN" *> pure (Just CCBN)
  <|> A.string "CCBT" *> pure (Just CCBT)
  <|> A.string "CCFX" *> pure (Just CCFX)
  <|> A.string "CCIL" *> pure (Just CCIL)
  <|> A.string "CCME" *> pure (Just CCME)
  <|> A.string "CCMF" *> pure (Just CCMF)
  <|> A.string "CCMK" *> pure (Just CCMK)
  <|> A.string "CCML" *> pure (Just CCML)
  <|> A.string "CCMS" *> pure (Just CCMS)
  <|> A.string "CCMX" *> pure (Just CCMX)
  <|> A.string "CCO" *> pure (Just CCO)
  <|> A.string "CCSP" *> pure (Just CCSP)
  <|> A.string "CCSY" *> pure (Just CCSY)
  <|> A.string "CCX" *> pure (Just CCX)
  <|> A.string "CCZE" *> pure (Just CCZE)
  <|> A.string "CDBH" *> pure (Just CDBH)
  <|> A.string "CDCD" *> pure (Just CDCD)
  <|> A.string "CDE" *> pure (Just CDE)
  <|> A.string "CE" *> pure (Just CE)
  <|> A.string "CE0Q" *> pure (Just CE0Q)
  <|> A.string "CEBA" *> pure (Just CEBA)
  <|> A.string "CEGD" *> pure (Just CEGD)
  <|> A.string "CELA" *> pure (Just CELA)
  <|> A.string "CELE" *> pure (Just CELE)
  <|> A.string "CERO" *> pure (Just CERO)
  <|> A.string "CF" *> pure (Just CF)
  <|> A.string "CFBN" *> pure (Just CFBN)
  <|> A.string "CFCC" *> pure (Just CFCC)
  <|> A.string "CFCK" *> pure (Just CFCK)
  <|> A.string "CFEB" *> pure (Just CFEB)
  <|> A.string "CFEO" *> pure (Just CFEO)
  <|> A.string "CFES" *> pure (Just CFES)
  <|> A.string "CFET" *> pure (Just CFET)
  <|> A.string "CFF" *> pure (Just CFF)
  <|> A.string "CFGG" *> pure (Just CFGG)
  <|> A.string "CFIM" *> pure (Just CFIM)
  <|> A.string "CFNY" *> pure (Just CFNY)
  <|> A.string "CFPT" *> pure (Just CFPT)
  <|> A.string "CG" *> pure (Just CG)
  <|> A.string "CGBD" *> pure (Just CGBD)
  <|> A.string "CGDE" *> pure (Just CGDE)
  <|> A.string "CGDO" *> pure (Just CGDO)
  <|> A.string "CGIN" *> pure (Just CGIN)
  <|> A.string "CGJ" *> pure (Just CGJ)
  <|> A.string "CGLM" *> pure (Just CGLM)
  <|> A.string "CGML" *> pure (Just CGML)
  <|> A.string "CGOP" *> pure (Just CGOP)
  <|> A.string "CGPO" *> pure (Just CGPO)
  <|> A.string "CGRI" *> pure (Just CGRI)
  <|> A.string "CGRU" *> pure (Just CGRU)
  <|> A.string "CGSP" *> pure (Just CGSP)
  <|> A.string "CGUK" *> pure (Just CGUK)
  <|> A.string "CGUS" *> pure (Just CGUS)
  <|> A.string "CH" *> pure (Just CH)
  <|> A.string "CHBE" *> pure (Just CHBE)
  <|> A.string "CHBK" *> pure (Just CHBK)
  <|> A.string "CHBQ" *> pure (Just CHBQ)
  <|> A.string "CHNT" *> pure (Just CHNT)
  <|> A.string "CHPS" *> pure (Just CHPS)
  <|> A.string "CI" *> pure (Just CI)
  <|> A.string "CIAR" *> pure (Just CIAR)
  <|> A.string "CIBA" *> pure (Just CIBA)
  <|> A.string "CIBC" *> pure (Just CIBC)
  <|> A.string "CIBK" *> pure (Just CIBK)
  <|> A.string "CIBU" *> pure (Just CIBU)
  <|> A.string "CIBX" *> pure (Just CIBX)
  <|> A.string "CICF" *> pure (Just CICF)
  <|> A.string "CICO" *> pure (Just CICO)
  <|> A.string "CIDR" *> pure (Just CIDR)
  <|> A.string "CIDU" *> pure (Just CIDU)
  <|> A.string "CIEG" *> pure (Just CIEG)
  <|> A.string "CIFL" *> pure (Just CIFL)
  <|> A.string "CIFX" *> pure (Just CIFX)
  <|> A.string "CIHM" *> pure (Just CIHM)
  <|> A.string "CIKZ" *> pure (Just CIKZ)
  <|> A.string "CILA" *> pure (Just CILA)
  <|> A.string "CIMB" *> pure (Just CIMB)
  <|> A.string "CIMD" *> pure (Just CIMD)
  <|> A.string "CIMI" *> pure (Just CIMI)
  <|> A.string "CIMQ" *> pure (Just CIMQ)
  <|> A.string "CIMR" *> pure (Just CIMR)
  <|> A.string "CIMT" *> pure (Just CIMT)
  <|> A.string "CING" *> pure (Just CING)
  <|> A.string "CINO" *> pure (Just CINO)
  <|> A.string "CIOP" *> pure (Just CIOP)
  <|> A.string "CIPA" *> pure (Just CIPA)
  <|> A.string "CISL" *> pure (Just CISL)
  <|> A.string "CITC" *> pure (Just CITC)
  <|> A.string "CITI" *> pure (Just CITI)
  <|> A.string "CITJ" *> pure (Just CITJ)
  <|> A.string "CITL" *> pure (Just CITL)
  <|> A.string "CITM" *> pure (Just CITM)
  <|> A.string "CITP" *> pure (Just CITP)
  <|> A.string "CIUA" *> pure (Just CIUA)
  <|> A.string "CIUY" *> pure (Just CIUY)
  <|> A.string "CJ" *> pure (Just CJ)
  <|> A.string "CJO" *> pure (Just CJO)
  <|> A.string "CJT" *> pure (Just CJT)
  <|> A.string "CK" *> pure (Just CK)
  <|> A.string "CKCB" *> pure (Just CKCB)
  <|> A.string "CKFE" *> pure (Just CKFE)
  <|> A.string "CKLX" *> pure (Just CKLX)
  <|> A.string "CL" *> pure (Just CL)
  <|> A.string "CLMI" *> pure (Just CLMI)
  <|> A.string "CLTW" *> pure (Just CLTW)
  <|> A.string "CLZH" *> pure (Just CLZH)
  <|> A.string "CM" *> pure (Just CM)
  <|> A.string "CMBA" *> pure (Just CMBA)
  <|> A.string "CME" *> pure (Just CME)
  <|> A.string "CMEN" *> pure (Just CMEN)
  <|> A.string "CMER" *> pure (Just CMER)
  <|> A.string "CMGE" *> pure (Just CMGE)
  <|> A.string "CMIB" *> pure (Just CMIB)
  <|> A.string "CMPL" *> pure (Just CMPL)
  <|> A.string "CMPN" *> pure (Just CMPN)
  <|> A.string "CMPT" *> pure (Just CMPT)
  <|> A.string "CMRB" *> pure (Just CMRB)
  <|> A.string "CMRR" *> pure (Just CMRR)
  <|> A.string "CMSN" *> pure (Just CMSN)
  <|> A.string "CMTS" *> pure (Just CMTS)
  <|> A.string "CMX" *> pure (Just CMX)
  <|> A.string "CN" *> pure (Just CN)
  <|> A.string "CNBN" *> pure (Just CNBN)
  <|> A.string "CNMB" *> pure (Just CNMB)
  <|> A.string "CNTF" *> pure (Just CNTF)
  <|> A.string "CNTR" *> pure (Just CNTR)
  <|> A.string "CNYB" *> pure (Just CNYB)
  <|> A.string "CNYM" *> pure (Just CNYM)
  <|> A.string "COBA" *> pure (Just COBA)
  <|> A.string "COJP" *> pure (Just COJP)
  <|> A.string "COMP" *> pure (Just COMP)
  <|> A.string "CONO" *> pure (Just CONO)
  <|> A.string "COOP" *> pure (Just COOP)
  <|> A.string "COPE" *> pure (Just COPE)
  <|> A.string "COST" *> pure (Just COST)
  <|> A.string "COSZ" *> pure (Just COSZ)
  <|> A.string "CP" *> pure (Just CP)
  <|> A.string "CR" *> pure (Just CR)
  <|> A.string "CREM" *> pure (Just CREM)
  <|> A.string "CROM" *> pure (Just CROM)
  <|> A.string "CRSU" *> pure (Just CRSU)
  <|> A.string "CRTG" *> pure (Just CRTG)
  <|> A.string "CS" *> pure (Just CS)
  <|> A.string "CSAR" *> pure (Just CSAR)
  <|> A.string "CSAS" *> pure (Just CSAS)
  <|> A.string "CSAU" *> pure (Just CSAU)
  <|> A.string "CSBR" *> pure (Just CSBR)
  <|> A.string "CSE" *> pure (Just CSE)
  <|> A.string "CSEM" *> pure (Just CSEM)
  <|> A.string "CSFB" *> pure (Just CSFB)
  <|> A.string "CSFE" *> pure (Just CSFE)
  <|> A.string "CSFI" *> pure (Just CSFI)
  <|> A.string "CSFX" *> pure (Just CSFX)
  <|> A.string "CSHK" *> pure (Just CSHK)
  <|> A.string "CSIC" *> pure (Just CSIC)
  <|> A.string "CSLA" *> pure (Just CSLA)
  <|> A.string "CSLB" *> pure (Just CSLB)
  <|> A.string "CSNO" *> pure (Just CSNO)
  <|> A.string "CSOB" *> pure (Just CSOB)
  <|> A.string "CSOP" *> pure (Just CSOP)
  <|> A.string "CSOS" *> pure (Just CSOS)
  <|> A.string "CSPG" *> pure (Just CSPG)
  <|> A.string "CSPZ" *> pure (Just CSPZ)
  <|> A.string "CSQ" *> pure (Just CSQ)
  <|> A.string "CSRU" *> pure (Just CSRU)
  <|> A.string "CSSA" *> pure (Just CSSA)
  <|> A.string "CSSP" *> pure (Just CSSP)
  <|> A.string "CSSS" *> pure (Just CSSS)
  <|> A.string "CSTL" *> pure (Just CSTL)
  <|> A.string "CSUK" *> pure (Just CSUK)
  <|> A.string "CSZC" *> pure (Just CSZC)
  <|> A.string "CSZE" *> pure (Just CSZE)
  <|> A.string "CSZH" *> pure (Just CSZH)
  <|> A.string "CSZR" *> pure (Just CSZR)
  <|> A.string "CT" *> pure (Just CT)
  <|> A.string "CTCH" *> pure (Just CTCH)
  <|> A.string "CTCM" *> pure (Just CTCM)
  <|> A.string "CTEF" *> pure (Just CTEF)
  <|> A.string "CTEL" *> pure (Just CTEL)
  <|> A.string "CTEQ" *> pure (Just CTEQ)
  <|> A.string "CTFP" *> pure (Just CTFP)
  <|> A.string "CTGI" *> pure (Just CTGI)
  <|> A.string "CTGM" *> pure (Just CTGM)
  <|> A.string "CTI2" *> pure (Just CTI2)
  <|> A.string "CTIB" *> pure (Just CTIB)
  <|> A.string "CTIC" *> pure (Just CTIC)
  <|> A.string "CTIN" *> pure (Just CTIN)
  <|> A.string "CTJM" *> pure (Just CTJM)
  <|> A.string "CTKP" *> pure (Just CTKP)
  <|> A.string "CTLD" *> pure (Just CTLD)
  <|> A.string "CTLN" *> pure (Just CTLN)
  <|> A.string "CTLV" *> pure (Just CTLV)
  <|> A.string "CTNK" *> pure (Just CTNK)
  <|> A.string "CTOP" *> pure (Just CTOP)
  <|> A.string "CTPE" *> pure (Just CTPE)
  <|> A.string "CTPR" *> pure (Just CTPR)
  <|> A.string "CTRC" *> pure (Just CTRC)
  <|> A.string "CTSH" *> pure (Just CTSH)
  <|> A.string "CTSM" *> pure (Just CTSM)
  <|> A.string "CTTN" *> pure (Just CTTN)
  <|> A.string "CTTZ" *> pure (Just CTTZ)
  <|> A.string "CTVN" *> pure (Just CTVN)
  <|> A.string "CU" *> pure (Just CU)
  <|> A.string "CUAE" *> pure (Just CUAE)
  <|> A.string "CV" *> pure (Just CV)
  <|> A.string "CX" *> pure (Just CX)
  <|> A.string "CY" *> pure (Just CY)
  <|> A.string "CYBE" *> pure (Just CYBE)
  <|> A.string "CYBK" *> pure (Just CYBK)
  <|> A.string "CYBQ" *> pure (Just CYBQ)
  <|> A.string "CZ" *> pure (Just CZ)
  <|> A.string "CZNO" *> pure (Just CZNO)
  <|> A.string "CZOP" *> pure (Just CZOP)
  <|> A.string "DAB" *> pure (Just DAB)
  <|> A.string "DAIE" *> pure (Just DAIE)
  <|> A.string "DAIM" *> pure (Just DAIM)
  <|> A.string "DAIS" *> pure (Just DAIS)
  <|> A.string "DAJK" *> pure (Just DAJK)
  <|> A.string "DASJ" *> pure (Just DASJ)
  <|> A.string "DB" *> pure (Just DB)
  <|> A.string "DBA" *> pure (Just DBA)
  <|> A.string "DBAB" *> pure (Just DBAB)
  <|> A.string "DBAS" *> pure (Just DBAS)
  <|> A.string "DBAX" *> pure (Just DBAX)
  <|> A.string "DBBK" *> pure (Just DBBK)
  <|> A.string "DBBY" *> pure (Just DBBY)
  <|> A.string "DBBZ" *> pure (Just DBBZ)
  <|> A.string "DBCE" *> pure (Just DBCE)
  <|> A.string "DBCH" *> pure (Just DBCH)
  <|> A.string "DBCS" *> pure (Just DBCS)
  <|> A.string "DBEA" *> pure (Just DBEA)
  <|> A.string "DBEN" *> pure (Just DBEN)
  <|> A.string "DBEX" *> pure (Just DBEX)
  <|> A.string "DBF" *> pure (Just DBF)
  <|> A.string "DBFX" *> pure (Just DBFX)
  <|> A.string "DBGN" *> pure (Just DBGN)
  <|> A.string "DBHC" *> pure (Just DBHC)
  <|> A.string "DBJA" *> pure (Just DBJA)
  <|> A.string "DBLM" *> pure (Just DBLM)
  <|> A.string "DBLR" *> pure (Just DBLR)
  <|> A.string "DBLU" *> pure (Just DBLU)
  <|> A.string "DBLX" *> pure (Just DBLX)
  <|> A.string "DBMB" *> pure (Just DBMB)
  <|> A.string "DBMN" *> pure (Just DBMN)
  <|> A.string "DBMO" *> pure (Just DBMO)
  <|> A.string "DBMX" *> pure (Just DBMX)
  <|> A.string "DBND" *> pure (Just DBND)
  <|> A.string "DBOS" *> pure (Just DBOS)
  <|> A.string "DBPE" *> pure (Just DBPE)
  <|> A.string "DBPK" *> pure (Just DBPK)
  <|> A.string "DBSD" *> pure (Just DBSD)
  <|> A.string "DBSH" *> pure (Just DBSH)
  <|> A.string "DBSP" *> pure (Just DBSP)
  <|> A.string "DBSQ" *> pure (Just DBSQ)
  <|> A.string "DBTV" *> pure (Just DBTV)
  <|> A.string "DBTW" *> pure (Just DBTW)
  <|> A.string "DBVI" *> pure (Just DBVI)
  <|> A.string "DBWA" *> pure (Just DBWA)
  <|> A.string "DBXM" *> pure (Just DBXM)
  <|> A.string "DC" *> pure (Just DC)
  <|> A.string "DCAP" *> pure (Just DCAP)
  <|> A.string "DCE" *> pure (Just DCE)
  <|> A.string "DCHM" *> pure (Just DCHM)
  <|> A.string "DD" *> pure (Just DD)
  <|> A.string "DDFX" *> pure (Just DDFX)
  <|> A.string "DDMN" *> pure (Just DDMN)
  <|> A.string "DE" *> pure (Just DE)
  <|> A.string "DEUV" *> pure (Just DEUV)
  <|> A.string "DEXP" *> pure (Just DEXP)
  <|> A.string "DEXS" *> pure (Just DEXS)
  <|> A.string "DEXT" *> pure (Just DEXT)
  <|> A.string "DF" *> pure (Just DF)
  <|> A.string "DFFX" *> pure (Just DFFX)
  <|> A.string "DFID" *> pure (Just DFID)
  <|> A.string "DFIX" *> pure (Just DFIX)
  <|> A.string "DFM" *> pure (Just DFM)
  <|> A.string "DFX" *> pure (Just DFX)
  <|> A.string "DG" *> pure (Just DG)
  <|> A.string "DGC" *> pure (Just DGC)
  <|> A.string "DGZF" *> pure (Just DGZF)
  <|> A.string "DH" *> pure (Just DH)
  <|> A.string "DJI" *> pure (Just DJI)
  <|> A.string "DJSX" *> pure (Just DJSX)
  <|> A.string "DKCB" *> pure (Just DKCB)
  <|> A.string "DKFI" *> pure (Just DKFI)
  <|> A.string "DME" *> pure (Just DME)
  <|> A.string "DMEM" *> pure (Just DMEM)
  <|> A.string "DMG" *> pure (Just DMG)
  <|> A.string "DMGA" *> pure (Just DMGA)
  <|> A.string "DMLI" *> pure (Just DMLI)
  <|> A.string "DMO" *> pure (Just DMO)
  <|> A.string "DMSE" *> pure (Just DMSE)
  <|> A.string "DMTS" *> pure (Just DMTS)
  <|> A.string "DNBP" *> pure (Just DNBP)
  <|> A.string "DNBS" *> pure (Just DNBS)
  <|> A.string "DNBV" *> pure (Just DNBV)
  <|> A.string "DNLP" *> pure (Just DNLP)
  <|> A.string "DPBA" *> pure (Just DPBA)
  <|> A.string "DS" *> pure (Just DS)
  <|> A.string "DSLZ" *> pure (Just DSLZ)
  <|> A.string "DT" *> pure (Just DT)
  <|> A.string "DTTC" *> pure (Just DTTC)
  <|> A.string "DU" *> pure (Just DU)
  <|> A.string "DV" *> pure (Just DV)
  <|> A.string "DVBK" *> pure (Just DVBK)
  <|> A.string "DVX" *> pure (Just DVX)
  <|> A.string "DWCB" *> pure (Just DWCB)
  <|> A.string "DWKR" *> pure (Just DWKR)
  <|> A.string "DX" *> pure (Just DX)
  <|> A.string "DZSP" *> pure (Just DZSP)
  <|> A.string "EAIP" *> pure (Just EAIP)
  <|> A.string "EASX" *> pure (Just EASX)
  <|> A.string "EAXG" *> pure (Just EAXG)
  <|> A.string "EB" *> pure (Just EB)
  <|> A.string "EBBC" *> pure (Just EBBC)
  <|> A.string "EBEB" *> pure (Just EBEB)
  <|> A.string "EBIL" *> pure (Just EBIL)
  <|> A.string "EBMF" *> pure (Just EBMF)
  <|> A.string "EBND" *> pure (Just EBND)
  <|> A.string "EBNP" *> pure (Just EBNP)
  <|> A.string "EBS" *> pure (Just EBS)
  <|> A.string "EBSF" *> pure (Just EBSF)
  <|> A.string "EBSX" *> pure (Just EBSX)
  <|> A.string "EC" *> pure (Just EC)
  <|> A.string "ECAP" *> pure (Just ECAP)
  <|> A.string "ECBT" *> pure (Just ECBT)
  <|> A.string "ECME" *> pure (Just ECME)
  <|> A.string "ECML" *> pure (Just ECML)
  <|> A.string "ECMX" *> pure (Just ECMX)
  <|> A.string "ECO" *> pure (Just ECO)
  <|> A.string "ED" *> pure (Just ED)
  <|> A.string "EDME" *> pure (Just EDME)
  <|> A.string "EDX" *> pure (Just EDX)
  <|> A.string "EEE" *> pure (Just EEE)
  <|> A.string "EFGH" *> pure (Just EFGH)
  <|> A.string "EFGN" *> pure (Just EFGN)
  <|> A.string "EG" *> pure (Just EG)
  <|> A.string "EGEV" *> pure (Just EGEV)
  <|> A.string "EGFI" *> pure (Just EGFI)
  <|> A.string "EGPT" *> pure (Just EGPT)
  <|> A.string "EGX" *> pure (Just EGX)
  <|> A.string "EHKG" *> pure (Just EHKG)
  <|> A.string "EI" *> pure (Just EI)
  <|> A.string "EJO" *> pure (Just EJO)
  <|> A.string "EJT" *> pure (Just EJT)
  <|> A.string "EK" *> pure (Just EK)
  <|> A.string "EKCB" *> pure (Just EKCB)
  <|> A.string "EKFE" *> pure (Just EKFE)
  <|> A.string "ELIX" *> pure (Just ELIX)
  <|> A.string "ELX" *> pure (Just ELX)
  <|> A.string "ELXR" *> pure (Just ELXR)
  <|> A.string "EMBA" *> pure (Just EMBA)
  <|> A.string "EMBB" *> pure (Just EMBB)
  <|> A.string "EMDL" *> pure (Just EMDL)
  <|> A.string "EMGE" *> pure (Just EMGE)
  <|> A.string "EMID" *> pure (Just EMID)
  <|> A.string "EMTS" *> pure (Just EMTS)
  <|> A.string "ENBD" *> pure (Just ENBD)
  <|> A.string "ENXT" *> pure (Just ENXT)
  <|> A.string "ENYB" *> pure (Just ENYB)
  <|> A.string "ENYL" *> pure (Just ENYL)
  <|> A.string "ENYM" *> pure (Just ENYM)
  <|> A.string "EOP" *> pure (Just EOP)
  <|> A.string "EOP1" *> pure (Just EOP1)
  <|> A.string "EPCS" *> pure (Just EPCS)
  <|> A.string "EQ" *> pure (Just EQ)
  <|> A.string "EREX" *> pure (Just EREX)
  <|> A.string "ERFS" *> pure (Just ERFS)
  <|> A.string "ERGB" *> pure (Just ERGB)
  <|> A.string "ERI" *> pure (Just ERI)
  <|> A.string "ESBH" *> pure (Just ESBH)
  <|> A.string "ESFE" *> pure (Just ESFE)
  <|> A.string "ESGX" *> pure (Just ESGX)
  <|> A.string "ET" *> pure (Just ET)
  <|> A.string "ETCM" *> pure (Just ETCM)
  <|> A.string "ETEF" *> pure (Just ETEF)
  <|> A.string "ETF" *> pure (Just ETF)
  <|> A.string "ETLX" *> pure (Just ETLX)
  <|> A.string "EU" *> pure (Just EU)
  <|> A.string "EUX" *> pure (Just EUX)
  <|> A.string "EUZ" *> pure (Just EUZ)
  <|> A.string "EVER" *> pure (Just EVER)
  <|> A.string "EXA" *> pure (Just EXA)
  <|> A.string "EXNI" *> pure (Just EXNI)
  <|> A.string "EXOT" *> pure (Just EXOT)
  <|> A.string "EY" *> pure (Just EY)
  <|> A.string "F000" *> pure (Just F000)
  <|> A.string "F003" *> pure (Just F003)
  <|> A.string "F010" *> pure (Just F010)
  <|> A.string "F013" *> pure (Just F013)
  <|> A.string "F020" *> pure (Just F020)
  <|> A.string "F023" *> pure (Just F023)
  <|> A.string "F030" *> pure (Just F030)
  <|> A.string "F033" *> pure (Just F033)
  <|> A.string "F040" *> pure (Just F040)
  <|> A.string "F043" *> pure (Just F043)
  <|> A.string "F050" *> pure (Just F050)
  <|> A.string "F053" *> pure (Just F053)
  <|> A.string "F060" *> pure (Just F060)
  <|> A.string "F063" *> pure (Just F063)
  <|> A.string "F070" *> pure (Just F070)
  <|> A.string "F073" *> pure (Just F073)
  <|> A.string "F080" *> pure (Just F080)
  <|> A.string "F083" *> pure (Just F083)
  <|> A.string "F090" *> pure (Just F090)
  <|> A.string "F093" *> pure (Just F093)
  <|> A.string "F100" *> pure (Just F100)
  <|> A.string "F103" *> pure (Just F103)
  <|> A.string "F110" *> pure (Just F110)
  <|> A.string "F113" *> pure (Just F113)
  <|> A.string "F120" *> pure (Just F120)
  <|> A.string "F123" *> pure (Just F123)
  <|> A.string "F130" *> pure (Just F130)
  <|> A.string "F133" *> pure (Just F133)
  <|> A.string "F140" *> pure (Just F140)
  <|> A.string "F143" *> pure (Just F143)
  <|> A.string "F150" *> pure (Just F150)
  <|> A.string "F153" *> pure (Just F153)
  <|> A.string "F160" *> pure (Just F160)
  <|> A.string "F163" *> pure (Just F163)
  <|> A.string "F170" *> pure (Just F170)
  <|> A.string "F173" *> pure (Just F173)
  <|> A.string "F180" *> pure (Just F180)
  <|> A.string "F183" *> pure (Just F183)
  <|> A.string "F190" *> pure (Just F190)
  <|> A.string "F193" *> pure (Just F193)
  <|> A.string "F200" *> pure (Just F200)
  <|> A.string "F203" *> pure (Just F203)
  <|> A.string "F210" *> pure (Just F210)
  <|> A.string "F213" *> pure (Just F213)
  <|> A.string "F220" *> pure (Just F220)
  <|> A.string "F223" *> pure (Just F223)
  <|> A.string "F230" *> pure (Just F230)
  <|> A.string "F233" *> pure (Just F233)
  <|> A.string "FAYB" *> pure (Just FAYB)
  <|> A.string "FBFC" *> pure (Just FBFC)
  <|> A.string "FBIT" *> pure (Just FBIT)
  <|> A.string "FBMA" *> pure (Just FBMA)
  <|> A.string "FCB" *> pure (Just FCB)
  <|> A.string "FF" *> pure (Just FF)
  <|> A.string "FH" *> pure (Just FH)
  <|> A.string "FIIS" *> pure (Just FIIS)
  <|> A.string "FIMD" *> pure (Just FIMD)
  <|> A.string "FIMZ" *> pure (Just FIMZ)
  <|> A.string "FINB" *> pure (Just FINB)
  <|> A.string "FMDA" *> pure (Just FMDA)
  <|> A.string "FMSW" *> pure (Just FMSW)
  <|> A.string "FMTS" *> pure (Just FMTS)
  <|> A.string "FP" *> pure (Just FP)
  <|> A.string "FP1L" *> pure (Just FP1L)
  <|> A.string "FPL" *> pure (Just FPL)
  <|> A.string "FRNQ" *> pure (Just FRNQ)
  <|> A.string "FS" *> pure (Just FS)
  <|> A.string "FSET" *> pure (Just FSET)
  <|> A.string "FTID" *> pure (Just FTID)
  <|> A.string "FTIT" *> pure (Just FTIT)
  <|> A.string "FTJS" *> pure (Just FTJS)
  <|> A.string "FTN" *> pure (Just FTN)
  <|> A.string "FTSA" *> pure (Just FTSA)
  <|> A.string "FTSP" *> pure (Just FTSP)
  <|> A.string "FTUK" *> pure (Just FTUK)
  <|> A.string "FTX" *> pure (Just FTX)
  <|> A.string "FX0B" *> pure (Just FX0B)
  <|> A.string "FX0L" *> pure (Just FX0L)
  <|> A.string "FX1L" *> pure (Just FX1L)
  <|> A.string "FXSG" *> pure (Just FXSG)
  <|> A.string "G4" *> pure (Just G4)
  <|> A.string "GA" *> pure (Just GA)
  <|> A.string "GARB" *> pure (Just GARB)
  <|> A.string "GARI" *> pure (Just GARI)
  <|> A.string "GB" *> pure (Just GB)
  <|> A.string "GBT" *> pure (Just GBT)
  <|> A.string "GC" *> pure (Just GC)
  <|> A.string "GCMT" *> pure (Just GCMT)
  <|> A.string "GCRC" *> pure (Just GCRC)
  <|> A.string "GD" *> pure (Just GD)
  <|> A.string "GDMA" *> pure (Just GDMA)
  <|> A.string "GE" *> pure (Just GE)
  <|> A.string "GEDD" *> pure (Just GEDD)
  <|> A.string "GELS" *> pure (Just GELS)
  <|> A.string "GEMM" *> pure (Just GEMM)
  <|> A.string "GEV" *> pure (Just GEV)
  <|> A.string "GF" *> pure (Just GF)
  <|> A.string "GFCO" *> pure (Just GFCO)
  <|> A.string "GFFX" *> pure (Just GFFX)
  <|> A.string "GFI" *> pure (Just GFI)
  <|> A.string "GFIF" *> pure (Just GFIF)
  <|> A.string "GFIH" *> pure (Just GFIH)
  <|> A.string "GFIJ" *> pure (Just GFIJ)
  <|> A.string "GFIP" *> pure (Just GFIP)
  <|> A.string "GG" *> pure (Just GG)
  <|> A.string "GH" *> pure (Just GH)
  <|> A.string "GI" *> pure (Just GI)
  <|> A.string "GIDS" *> pure (Just GIDS)
  <|> A.string "GK" *> pure (Just GK)
  <|> A.string "GL" *> pure (Just GL)
  <|> A.string "GM" *> pure (Just GM)
  <|> A.string "GME" *> pure (Just GME)
  <|> A.string "GMTS" *> pure (Just GMTS)
  <|> A.string "GN" *> pure (Just GN)
  <|> A.string "GOLD" *> pure (Just GOLD)
  <|> A.string "GOQY" *> pure (Just GOQY)
  <|> A.string "GOVP" *> pure (Just GOVP)
  <|> A.string "GQ" *> pure (Just GQ)
  <|> A.string "GR" *> pure (Just GR)
  <|> A.string "GS" *> pure (Just GS)
  <|> A.string "GSAB" *> pure (Just GSAB)
  <|> A.string "GSAC" *> pure (Just GSAC)
  <|> A.string "GSAP" *> pure (Just GSAP)
  <|> A.string "GSCO" *> pure (Just GSCO)
  <|> A.string "GSCU" *> pure (Just GSCU)
  <|> A.string "GSCV" *> pure (Just GSCV)
  <|> A.string "GSEM" *> pure (Just GSEM)
  <|> A.string "GSGL" *> pure (Just GSGL)
  <|> A.string "GSLM" *> pure (Just GSLM)
  <|> A.string "GSLT" *> pure (Just GSLT)
  <|> A.string "GSSD" *> pure (Just GSSD)
  <|> A.string "GSSN" *> pure (Just GSSN)
  <|> A.string "GSUK" *> pure (Just GSUK)
  <|> A.string "GSZT" *> pure (Just GSZT)
  <|> A.string "GT" *> pure (Just GT)
  <|> A.string "GTOP" *> pure (Just GTOP)
  <|> A.string "GTOY" *> pure (Just GTOY)
  <|> A.string "GTQ1" *> pure (Just GTQ1)
  <|> A.string "GTQ2" *> pure (Just GTQ2)
  <|> A.string "GTQ3" *> pure (Just GTQ3)
  <|> A.string "GU" *> pure (Just GU)
  <|> A.string "GUYB" *> pure (Just GUYB)
  <|> A.string "GVP3" *> pure (Just GVP3)
  <|> A.string "GVP4" *> pure (Just GVP4)
  <|> A.string "GVP5" *> pure (Just GVP5)
  <|> A.string "GW" *> pure (Just GW)
  <|> A.string "GY" *> pure (Just GY)
  <|> A.string "H1" *> pure (Just H1)
  <|> A.string "HACN" *> pure (Just HACN)
  <|> A.string "HAN" *> pure (Just HAN)
  <|> A.string "HANP" *> pure (Just HANP)
  <|> A.string "HB" *> pure (Just HB)
  <|> A.string "HBBZ" *> pure (Just HBBZ)
  <|> A.string "HBLP" *> pure (Just HBLP)
  <|> A.string "HCB" *> pure (Just HCB)
  <|> A.string "HCCB" *> pure (Just HCCB)
  <|> A.string "HCM" *> pure (Just HCM)
  <|> A.string "HELS" *> pure (Just HELS)
  <|> A.string "HELX" *> pure (Just HELX)
  <|> A.string "HK" *> pure (Just HK)
  <|> A.string "HKG" *> pure (Just HKG)
  <|> A.string "HKM" *> pure (Just HKM)
  <|> A.string "HKMA" *> pure (Just HKMA)
  <|> A.string "HKMP" *> pure (Just HKMP)
  <|> A.string "HKSB" *> pure (Just HKSB)
  <|> A.string "HKSG" *> pure (Just HKSG)
  <|> A.string "HKSP" *> pure (Just HKSP)
  <|> A.string "HLBK" *> pure (Just HLBK)
  <|> A.string "HLBS" *> pure (Just HLBS)
  <|> A.string "HM" *> pure (Just HM)
  <|> A.string "HMTF" *> pure (Just HMTF)
  <|> A.string "HMTO" *> pure (Just HMTO)
  <|> A.string "HMTS" *> pure (Just HMTS)
  <|> A.string "HSAB" *> pure (Just HSAB)
  <|> A.string "HSAC" *> pure (Just HSAC)
  <|> A.string "HSAP" *> pure (Just HSAP)
  <|> A.string "HSAR" *> pure (Just HSAR)
  <|> A.string "HSAY" *> pure (Just HSAY)
  <|> A.string "HSBL" *> pure (Just HSBL)
  <|> A.string "HSBN" *> pure (Just HSBN)
  <|> A.string "HSBX" *> pure (Just HSBX)
  <|> A.string "HSCH" *> pure (Just HSCH)
  <|> A.string "HSCN" *> pure (Just HSCN)
  <|> A.string "HSCT" *> pure (Just HSCT)
  <|> A.string "HSED" *> pure (Just HSED)
  <|> A.string "HSEM" *> pure (Just HSEM)
  <|> A.string "HSEY" *> pure (Just HSEY)
  <|> A.string "HSFD" *> pure (Just HSFD)
  <|> A.string "HSFX" *> pure (Just HSFX)
  <|> A.string "HSGB" *> pure (Just HSGB)
  <|> A.string "HSHK" *> pure (Just HSHK)
  <|> A.string "HSI" *> pure (Just HSI)
  <|> A.string "HSIP" *> pure (Just HSIP)
  <|> A.string "HSJC" *> pure (Just HSJC)
  <|> A.string "HSLB" *> pure (Just HSLB)
  <|> A.string "HSLR" *> pure (Just HSLR)
  <|> A.string "HSLX" *> pure (Just HSLX)
  <|> A.string "HSMT" *> pure (Just HSMT)
  <|> A.string "HSMX" *> pure (Just HSMX)
  <|> A.string "HSPA" *> pure (Just HSPA)
  <|> A.string "HSPP" *> pure (Just HSPP)
  <|> A.string "HSSC" *> pure (Just HSSC)
  <|> A.string "HSSE" *> pure (Just HSSE)
  <|> A.string "HSSI" *> pure (Just HSSI)
  <|> A.string "HSTL" *> pure (Just HSTL)
  <|> A.string "HSTR" *> pure (Just HSTR)
  <|> A.string "HSUY" *> pure (Just HSUY)
  <|> A.string "HSVN" *> pure (Just HSVN)
  <|> A.string "HSVO" *> pure (Just HSVO)
  <|> A.string "HVB" *> pure (Just HVB)
  <|> A.string "HVBB" *> pure (Just HVBB)
  <|> A.string "HVBH" *> pure (Just HVBH)
  <|> A.string "HVBP" *> pure (Just HVBP)
  <|> A.string "HVLU" *> pure (Just HVLU)
  <|> A.string "HWSK" *> pure (Just HWSK)
  <|> A.string "IACF" *> pure (Just IACF)
  <|> A.string "IB" *> pure (Just IB)
  <|> A.string "IBCC" *> pure (Just IBCC)
  <|> A.string "IBCN" *> pure (Just IBCN)
  <|> A.string "IBOV" *> pure (Just IBOV)
  <|> A.string "IBZL" *> pure (Just IBZL)
  <|> A.string "IC" *> pure (Just IC)
  <|> A.string "ICA1" *> pure (Just ICA1)
  <|> A.string "ICA2" *> pure (Just ICA2)
  <|> A.string "ICA3" *> pure (Just ICA3)
  <|> A.string "ICA7" *> pure (Just ICA7)
  <|> A.string "ICA8" *> pure (Just ICA8)
  <|> A.string "ICAS" *> pure (Just ICAS)
  <|> A.string "ICBC" *> pure (Just ICBC)
  <|> A.string "ICBH" *> pure (Just ICBH)
  <|> A.string "ICCB" *> pure (Just ICCB)
  <|> A.string "ICCF" *> pure (Just ICCF)
  <|> A.string "ICCH" *> pure (Just ICCH)
  <|> A.string "ICE" *> pure (Just ICE)
  <|> A.string "ICEB" *> pure (Just ICEB)
  <|> A.string "ICEX" *> pure (Just ICEX)
  <|> A.string "ICFX" *> pure (Just ICFX)
  <|> A.string "ICHK" *> pure (Just ICHK)
  <|> A.string "ICIB" *> pure (Just ICIB)
  <|> A.string "ICIN" *> pure (Just ICIN)
  <|> A.string "ICIT" *> pure (Just ICIT)
  <|> A.string "ICMK" *> pure (Just ICMK)
  <|> A.string "ICNF" *> pure (Just ICNF)
  <|> A.string "ICPH" *> pure (Just ICPH)
  <|> A.string "ICPN" *> pure (Just ICPN)
  <|> A.string "ICRO" *> pure (Just ICRO)
  <|> A.string "ICUS" *> pure (Just ICUS)
  <|> A.string "ICX" *> pure (Just ICX)
  <|> A.string "ID" *> pure (Just ID)
  <|> A.string "IDMA" *> pure (Just IDMA)
  <|> A.string "IDMF" *> pure (Just IDMF)
  <|> A.string "IDSB" *> pure (Just IDSB)
  <|> A.string "IF" *> pure (Just IF)
  <|> A.string "IFCB" *> pure (Just IFCB)
  <|> A.string "IFEX" *> pure (Just IFEX)
  <|> A.string "IFXO" *> pure (Just IFXO)
  <|> A.string "IG" *> pure (Just IG)
  <|> A.string "IGTW" *> pure (Just IGTW)
  <|> A.string "IHSB" *> pure (Just IHSB)
  <|> A.string "IIRS" *> pure (Just IIRS)
  <|> A.string "IJ" *> pure (Just IJ)
  <|> A.string "ILSB" *> pure (Just ILSB)
  <|> A.string "IM" *> pure (Just IM)
  <|> A.string "IMBX" *> pure (Just IMBX)
  <|> A.string "IMIC" *> pure (Just IMIC)
  <|> A.string "IMIT" *> pure (Just IMIT)
  <|> A.string "IMIX" *> pure (Just IMIX)
  <|> A.string "IMKL" *> pure (Just IMKL)
  <|> A.string "IMKS" *> pure (Just IMKS)
  <|> A.string "IMKU" *> pure (Just IMKU)
  <|> A.string "IMTS" *> pure (Just IMTS)
  <|> A.string "IN" *> pure (Just IN)
  <|> A.string "INBU" *> pure (Just INBU)
  <|> A.string "INDC" *> pure (Just INDC)
  <|> A.string "INDN" *> pure (Just INDN)
  <|> A.string "INDS" *> pure (Just INDS)
  <|> A.string "INDU" *> pure (Just INDU)
  <|> A.string "INGC" *> pure (Just INGC)
  <|> A.string "INGH" *> pure (Just INGH)
  <|> A.string "INGK" *> pure (Just INGK)
  <|> A.string "INGM" *> pure (Just INGM)
  <|> A.string "INGR" *> pure (Just INGR)
  <|> A.string "INGS" *> pure (Just INGS)
  <|> A.string "INGU" *> pure (Just INGU)
  <|> A.string "INGZ" *> pure (Just INGZ)
  <|> A.string "INJO" *> pure (Just INJO)
  <|> A.string "INSK" *> pure (Just INSK)
  <|> A.string "INVL" *> pure (Just INVL)
  <|> A.string "INX" *> pure (Just INX)
  <|> A.string "INXS" *> pure (Just INXS)
  <|> A.string "IO" *> pure (Just IO)
  <|> A.string "IPMB" *> pure (Just IPMB)
  <|> A.string "IQ" *> pure (Just IQ)
  <|> A.string "IR" *> pure (Just IR)
  <|> A.string "IS" *> pure (Just IS)
  <|> A.string "ISBK" *> pure (Just ISBK)
  <|> A.string "ISEL" *> pure (Just ISEL)
  <|> A.string "ISES" *> pure (Just ISES)
  <|> A.string "ISL0" *> pure (Just ISL0)
  <|> A.string "ISL1" *> pure (Just ISL1)
  <|> A.string "ISLA" *> pure (Just ISLA)
  <|> A.string "ISMB" *> pure (Just ISMB)
  <|> A.string "ISPI" *> pure (Just ISPI)
  <|> A.string "ISR0" *> pure (Just ISR0)
  <|> A.string "ISR1" *> pure (Just ISR1)
  <|> A.string "ISS0" *> pure (Just ISS0)
  <|> A.string "ISS1" *> pure (Just ISS1)
  <|> A.string "ISW0" *> pure (Just ISW0)
  <|> A.string "ISW1" *> pure (Just ISW1)
  <|> A.string "IT" *> pure (Just IT)
  <|> A.string "ITAU" *> pure (Just ITAU)
  <|> A.string "ITCH" *> pure (Just ITCH)
  <|> A.string "IVSS" *> pure (Just IVSS)
  <|> A.string "IX" *> pure (Just IX)
  <|> A.string "IXEP" *> pure (Just IXEP)
  <|> A.string "IXSP" *> pure (Just IXSP)
  <|> A.string "IYL1" *> pure (Just IYL1)
  <|> A.string "IYM" *> pure (Just IYM)
  <|> A.string "IYS1" *> pure (Just IYS1)
  <|> A.string "JA" *> pure (Just JA)
  <|> A.string "JARG" *> pure (Just JARG)
  <|> A.string "JBM" *> pure (Just JBM)
  <|> A.string "JBRL" *> pure (Just JBRL)
  <|> A.string "JCDO" *> pure (Just JCDO)
  <|> A.string "JD" *> pure (Just JD)
  <|> A.string "JE" *> pure (Just JE)
  <|> A.string "JEFX" *> pure (Just JEFX)
  <|> A.string "JF" *> pure (Just JF)
  <|> A.string "JG" *> pure (Just JG)
  <|> A.string "JGB" *> pure (Just JGB)
  <|> A.string "JI" *> pure (Just JI)
  <|> A.string "JINT" *> pure (Just JINT)
  <|> A.string "JJ" *> pure (Just JJ)
  <|> A.string "JLAD" *> pure (Just JLAD)
  <|> A.string "JMCH" *> pure (Just JMCH)
  <|> A.string "JMOI" *> pure (Just JMOI)
  <|> A.string "JN" *> pure (Just JN)
  <|> A.string "JO" *> pure (Just JO)
  <|> A.string "JP" *> pure (Just JP)
  <|> A.string "JPAB" *> pure (Just JPAB)
  <|> A.string "JPAP" *> pure (Just JPAP)
  <|> A.string "JPAU" *> pure (Just JPAU)
  <|> A.string "JPCE" *> pure (Just JPCE)
  <|> A.string "JPDP" *> pure (Just JPDP)
  <|> A.string "JPEX" *> pure (Just JPEX)
  <|> A.string "JPFL" *> pure (Just JPFL)
  <|> A.string "JPFX" *> pure (Just JPFX)
  <|> A.string "JPIM" *> pure (Just JPIM)
  <|> A.string "JPIS" *> pure (Just JPIS)
  <|> A.string "JPLA" *> pure (Just JPLA)
  <|> A.string "JPM" *> pure (Just JPM)
  <|> A.string "JPM2" *> pure (Just JPM2)
  <|> A.string "JPMD" *> pure (Just JPMD)
  <|> A.string "JPMQ" *> pure (Just JPMQ)
  <|> A.string "JPMR" *> pure (Just JPMR)
  <|> A.string "JPNY" *> pure (Just JPNY)
  <|> A.string "JPOG" *> pure (Just JPOG)
  <|> A.string "JPOX" *> pure (Just JPOX)
  <|> A.string "JPPX" *> pure (Just JPPX)
  <|> A.string "JPSI" *> pure (Just JPSI)
  <|> A.string "JPTY" *> pure (Just JPTY)
  <|> A.string "JPUS" *> pure (Just JPUS)
  <|> A.string "JQ" *> pure (Just JQ)
  <|> A.string "JR" *> pure (Just JR)
  <|> A.string "JS" *> pure (Just JS)
  <|> A.string "JSBP" *> pure (Just JSBP)
  <|> A.string "JSCL" *> pure (Just JSCL)
  <|> A.string "JSDA" *> pure (Just JSDA)
  <|> A.string "JSDP" *> pure (Just JSDP)
  <|> A.string "JSDQ" *> pure (Just JSDQ)
  <|> A.string "JT" *> pure (Just JT)
  <|> A.string "JU" *> pure (Just JU)
  <|> A.string "JUYU" *> pure (Just JUYU)
  <|> A.string "JW" *> pure (Just JW)
  <|> A.string "JY" *> pure (Just JY)
  <|> A.string "KA" *> pure (Just KA)
  <|> A.string "KAGR" *> pure (Just KAGR)
  <|> A.string "KAZ1" *> pure (Just KAZ1)
  <|> A.string "KAZ2" *> pure (Just KAZ2)
  <|> A.string "KAZ3" *> pure (Just KAZ3)
  <|> A.string "KAZA" *> pure (Just KAZA)
  <|> A.string "KBAN" *> pure (Just KBAN)
  <|> A.string "KBCF" *> pure (Just KBCF)
  <|> A.string "KBCP" *> pure (Just KBCP)
  <|> A.string "KBLS" *> pure (Just KBLS)
  <|> A.string "KBNK" *> pure (Just KBNK)
  <|> A.string "KBPL" *> pure (Just KBPL)
  <|> A.string "KBPM" *> pure (Just KBPM)
  <|> A.string "KBPY" *> pure (Just KBPY)
  <|> A.string "KCB" *> pure (Just KCB)
  <|> A.string "KCMP" *> pure (Just KCMP)
  <|> A.string "KCT" *> pure (Just KCT)
  <|> A.string "KDB" *> pure (Just KDB)
  <|> A.string "KE" *> pure (Just KE)
  <|> A.string "KEMS" *> pure (Just KEMS)
  <|> A.string "KF" *> pure (Just KF)
  <|> A.string "KFE" *> pure (Just KFE)
  <|> A.string "KFID" *> pure (Just KFID)
  <|> A.string "KFWQ" *> pure (Just KFWQ)
  <|> A.string "KH" *> pure (Just KH)
  <|> A.string "KHAD" *> pure (Just KHAD)
  <|> A.string "KISR" *> pure (Just KISR)
  <|> A.string "KIWO" *> pure (Just KIWO)
  <|> A.string "KK" *> pure (Just KK)
  <|> A.string "KL" *> pure (Just KL)
  <|> A.string "KMBB" *> pure (Just KMBB)
  <|> A.string "KMBC" *> pure (Just KMBC)
  <|> A.string "KMBD" *> pure (Just KMBD)
  <|> A.string "KMBT" *> pure (Just KMBT)
  <|> A.string "KMG" *> pure (Just KMG)
  <|> A.string "KN" *> pure (Just KN)
  <|> A.string "KOFX" *> pure (Just KOFX)
  <|> A.string "KOMB" *> pure (Just KOMB)
  <|> A.string "KOPT" *> pure (Just KOPT)
  <|> A.string "KP" *> pure (Just KP)
  <|> A.string "KQ" *> pure (Just KQ)
  <|> A.string "KRWB" *> pure (Just KRWB)
  <|> A.string "KRWT" *> pure (Just KRWT)
  <|> A.string "KS" *> pure (Just KS)
  <|> A.string "KSBM" *> pure (Just KSBM)
  <|> A.string "KSDA" *> pure (Just KSDA)
  <|> A.string "KSDP" *> pure (Just KSDP)
  <|> A.string "KSDQ" *> pure (Just KSDQ)
  <|> A.string "KSDY" *> pure (Just KSDY)
  <|> A.string "KSEC" *> pure (Just KSEC)
  <|> A.string "KSEP" *> pure (Just KSEP)
  <|> A.string "KY" *> pure (Just KY)
  <|> A.string "KZ" *> pure (Just KZ)
  <|> A.string "L3" *> pure (Just L3)
  <|> A.string "LAIS" *> pure (Just LAIS)
  <|> A.string "LB" *> pure (Just LB)
  <|> A.string "LBB" *> pure (Just LBB)
  <|> A.string "LBBM" *> pure (Just LBBM)
  <|> A.string "LBBW" *> pure (Just LBBW)
  <|> A.string "LBLU" *> pure (Just LBLU)
  <|> A.string "LBLX" *> pure (Just LBLX)
  <|> A.string "LD" *> pure (Just LD)
  <|> A.string "LDX" *> pure (Just LDX)
  <|> A.string "LE" *> pure (Just LE)
  <|> A.string "LFID" *> pure (Just LFID)
  <|> A.string "LG" *> pure (Just LG)
  <|> A.string "LH" *> pure (Just LH)
  <|> A.string "LI" *> pure (Just LI)
  <|> A.string "LIF" *> pure (Just LIF)
  <|> A.string "LJU" *> pure (Just LJU)
  <|> A.string "LLOI" *> pure (Just LLOI)
  <|> A.string "LLOX" *> pure (Just LLOX)
  <|> A.string "LME" *> pure (Just LME)
  <|> A.string "LMKR" *> pure (Just LMKR)
  <|> A.string "LMP" *> pure (Just LMP)
  <|> A.string "LN" *> pure (Just LN)
  <|> A.string "LO" *> pure (Just LO)
  <|> A.string "LOPE" *> pure (Just LOPE)
  <|> A.string "LQDZ" *> pure (Just LQDZ)
  <|> A.string "LR" *> pure (Just LR)
  <|> A.string "LS" *> pure (Just LS)
  <|> A.string "LTFX" *> pure (Just LTFX)
  <|> A.string "LX" *> pure (Just LX)
  <|> A.string "LYDS" *> pure (Just LYDS)
  <|> A.string "MACD" *> pure (Just MACD)
  <|> A.string "MACQ" *> pure (Just MACQ)
  <|> A.string "MADR" *> pure (Just MADR)
  <|> A.string "MAE" *> pure (Just MAE)
  <|> A.string "MAED" *> pure (Just MAED)
  <|> A.string "MAEF" *> pure (Just MAEF)
  <|> A.string "MAEP" *> pure (Just MAEP)
  <|> A.string "MAER" *> pure (Just MAER)
  <|> A.string "MAPR" *> pure (Just MAPR)
  <|> A.string "MARS" *> pure (Just MARS)
  <|> A.string "MAS" *> pure (Just MAS)
  <|> A.string "MASF" *> pure (Just MASF)
  <|> A.string "MAUR" *> pure (Just MAUR)
  <|> A.string "MAYB" *> pure (Just MAYB)
  <|> A.string "MB" *> pure (Just MB)
  <|> A.string "MBA" *> pure (Just MBA)
  <|> A.string "MBAL" *> pure (Just MBAL)
  <|> A.string "MBBX" *> pure (Just MBBX)
  <|> A.string "MBEM" *> pure (Just MBEM)
  <|> A.string "MBUK" *> pure (Just MBUK)
  <|> A.string "MC" *> pure (Just MC)
  <|> A.string "MCBL" *> pure (Just MCBL)
  <|> A.string "MCE" *> pure (Just MCE)
  <|> A.string "MCI" *> pure (Just MCI)
  <|> A.string "MCT" *> pure (Just MCT)
  <|> A.string "MCX" *> pure (Just MCX)
  <|> A.string "MDX" *> pure (Just MDX)
  <|> A.string "MDX1" *> pure (Just MDX1)
  <|> A.string "MDX2" *> pure (Just MDX2)
  <|> A.string "MDX3" *> pure (Just MDX3)
  <|> A.string "MDX4" *> pure (Just MDX4)
  <|> A.string "MDX5" *> pure (Just MDX5)
  <|> A.string "MDX6" *> pure (Just MDX6)
  <|> A.string "MDX8" *> pure (Just MDX8)
  <|> A.string "ME" *> pure (Just ME)
  <|> A.string "MEDB" *> pure (Just MEDB)
  <|> A.string "MFA" *> pure (Just MFA)
  <|> A.string "MFBK" *> pure (Just MFBK)
  <|> A.string "MFM" *> pure (Just MFM)
  <|> A.string "MFP" *> pure (Just MFP)
  <|> A.string "MGE" *> pure (Just MGE)
  <|> A.string "MHCB" *> pure (Just MHCB)
  <|> A.string "MHIE" *> pure (Just MHIE)
  <|> A.string "MICB" *> pure (Just MICB)
  <|> A.string "MICE" *> pure (Just MICE)
  <|> A.string "MICN" *> pure (Just MICN)
  <|> A.string "MICX" *> pure (Just MICX)
  <|> A.string "MICY" *> pure (Just MICY)
  <|> A.string "MICZ" *> pure (Just MICZ)
  <|> A.string "MIRB" *> pure (Just MIRB)
  <|> A.string "MIRS" *> pure (Just MIRS)
  <|> A.string "MITB" *> pure (Just MITB)
  <|> A.string "MK" *> pure (Just MK)
  <|> A.string "MKBH" *> pure (Just MKBH)
  <|> A.string "MKBR" *> pure (Just MKBR)
  <|> A.string "MLC" *> pure (Just MLC)
  <|> A.string "MLCP" *> pure (Just MLCP)
  <|> A.string "MLEI" *> pure (Just MLEI)
  <|> A.string "MLEL" *> pure (Just MLEL)
  <|> A.string "MLEQ" *> pure (Just MLEQ)
  <|> A.string "MLEX" *> pure (Just MLEX)
  <|> A.string "MLFX" *> pure (Just MLFX)
  <|> A.string "MLHK" *> pure (Just MLHK)
  <|> A.string "MLHO" *> pure (Just MLHO)
  <|> A.string "MLIN" *> pure (Just MLIN)
  <|> A.string "MLIX" *> pure (Just MLIX)
  <|> A.string "MLJB" *> pure (Just MLJB)
  <|> A.string "MLLM" *> pure (Just MLLM)
  <|> A.string "MLNY" *> pure (Just MLNY)
  <|> A.string "MLO1" *> pure (Just MLO1)
  <|> A.string "MLST" *> pure (Just MLST)
  <|> A.string "MM" *> pure (Just MM)
  <|> A.string "MMCB" *> pure (Just MMCB)
  <|> A.string "MMCY" *> pure (Just MMCY)
  <|> A.string "MMGB" *> pure (Just MMGB)
  <|> A.string "MMGY" *> pure (Just MMGY)
  <|> A.string "MNCB" *> pure (Just MNCB)
  <|> A.string "MNCY" *> pure (Just MNCY)
  <|> A.string "MNGB" *> pure (Just MNGB)
  <|> A.string "MNGY" *> pure (Just MNGY)
  <|> A.string "MO" *> pure (Just MO)
  <|> A.string "MOSI" *> pure (Just MOSI)
  <|> A.string "MP" *> pure (Just MP)
  <|> A.string "MPNG" *> pure (Just MPNG)
  <|> A.string "MQOP" *> pure (Just MQOP)
  <|> A.string "MQSP" *> pure (Just MQSP)
  <|> A.string "MQSY" *> pure (Just MQSY)
  <|> A.string "MS" *> pure (Just MS)
  <|> A.string "MSA1" *> pure (Just MSA1)
  <|> A.string "MSAB" *> pure (Just MSAB)
  <|> A.string "MSBA" *> pure (Just MSBA)
  <|> A.string "MSBP" *> pure (Just MSBP)
  <|> A.string "MSBZ" *> pure (Just MSBZ)
  <|> A.string "MSCI" *> pure (Just MSCI)
  <|> A.string "MSCP" *> pure (Just MSCP)
  <|> A.string "MSDP" *> pure (Just MSDP)
  <|> A.string "MSDQ" *> pure (Just MSDQ)
  <|> A.string "MSDX" *> pure (Just MSDX)
  <|> A.string "MSE" *> pure (Just MSE)
  <|> A.string "MSEG" *> pure (Just MSEG)
  <|> A.string "MSEM" *> pure (Just MSEM)
  <|> A.string "MSFW" *> pure (Just MSFW)
  <|> A.string "MSFX" *> pure (Just MSFX)
  <|> A.string "MSHK" *> pure (Just MSHK)
  <|> A.string "MSIP" *> pure (Just MSIP)
  <|> A.string "MSJ" *> pure (Just MSJ)
  <|> A.string "MSJN" *> pure (Just MSJN)
  <|> A.string "MSJP" *> pure (Just MSJP)
  <|> A.string "MSMN" *> pure (Just MSMN)
  <|> A.string "MSMW" *> pure (Just MSMW)
  <|> A.string "MSND" *> pure (Just MSND)
  <|> A.string "MSNY" *> pure (Just MSNY)
  <|> A.string "MSPF" *> pure (Just MSPF)
  <|> A.string "MSPX" *> pure (Just MSPX)
  <|> A.string "MSSC" *> pure (Just MSSC)
  <|> A.string "MSSM" *> pure (Just MSSM)
  <|> A.string "MSST" *> pure (Just MSST)
  <|> A.string "MSTY" *> pure (Just MSTY)
  <|> A.string "MSUB" *> pure (Just MSUB)
  <|> A.string "MSVL" *> pure (Just MSVL)
  <|> A.string "MSX" *> pure (Just MSX)
  <|> A.string "MSXP" *> pure (Just MSXP)
  <|> A.string "MT" *> pure (Just MT)
  <|> A.string "MTRT" *> pure (Just MTRT)
  <|> A.string "MTS" *> pure (Just MTS)
  <|> A.string "MTSA" *> pure (Just MTSA)
  <|> A.string "MTSG" *> pure (Just MTSG)
  <|> A.string "MTSI" *> pure (Just MTSI)
  <|> A.string "MTSN" *> pure (Just MTSN)
  <|> A.string "MTSP" *> pure (Just MTSP)
  <|> A.string "MTSS" *> pure (Just MTSS)
  <|> A.string "MTSZ" *> pure (Just MTSZ)
  <|> A.string "MTUC" *> pure (Just MTUC)
  <|> A.string "MUCV" *> pure (Just MUCV)
  <|> A.string "MUGB" *> pure (Just MUGB)
  <|> A.string "MUIN" *> pure (Just MUIN)
  <|> A.string "MUJI" *> pure (Just MUJI)
  <|> A.string "MUML" *> pure (Just MUML)
  <|> A.string "MUSB" *> pure (Just MUSB)
  <|> A.string "MUSI" *> pure (Just MUSI)
  <|> A.string "MUSR" *> pure (Just MUSR)
  <|> A.string "MUST" *> pure (Just MUST)
  <|> A.string "MV" *> pure (Just MV)
  <|> A.string "MVMZ" *> pure (Just MVMZ)
  <|> A.string "MW" *> pure (Just MW)
  <|> A.string "MXDV" *> pure (Just MXDV)
  <|> A.string "MXRT" *> pure (Just MXRT)
  <|> A.string "MZ" *> pure (Just MZ)
  <|> A.string "MZHC" *> pure (Just MZHC)
  <|> A.string "MZIN" *> pure (Just MZIN)
  <|> A.string "MZLN" *> pure (Just MZLN)
  <|> A.string "MZRP" *> pure (Just MZRP)
  <|> A.string "MZSG" *> pure (Just MZSG)
  <|> A.string "MZSR" *> pure (Just MZSR)
  <|> A.string "N2X" *> pure (Just N2X)
  <|> A.string "NA" *> pure (Just NA)
  <|> A.string "NAB" *> pure (Just NAB)
  <|> A.string "NABM" *> pure (Just NABM)
  <|> A.string "NABN" *> pure (Just NABN)
  <|> A.string "NABT" *> pure (Just NABT)
  <|> A.string "NAIR" *> pure (Just NAIR)
  <|> A.string "NBAD" *> pure (Just NBAD)
  <|> A.string "NBAE" *> pure (Just NBAE)
  <|> A.string "NBCM" *> pure (Just NBCM)
  <|> A.string "NBDD" *> pure (Just NBDD)
  <|> A.string "NBEE" *> pure (Just NBEE)
  <|> A.string "NBFM" *> pure (Just NBFM)
  <|> A.string "NBPC" *> pure (Just NBPC)
  <|> A.string "NBPK" *> pure (Just NBPK)
  <|> A.string "NC" *> pure (Just NC)
  <|> A.string "NCCN" *> pure (Just NCCN)
  <|> A.string "NCE" *> pure (Just NCE)
  <|> A.string "NCLO" *> pure (Just NCLO)
  <|> A.string "NCSI" *> pure (Just NCSI)
  <|> A.string "NCZT" *> pure (Just NCZT)
  <|> A.string "NDFT" *> pure (Just NDFT)
  <|> A.string "NDL" *> pure (Just NDL)
  <|> A.string "NDM" *> pure (Just NDM)
  <|> A.string "NDSI" *> pure (Just NDSI)
  <|> A.string "NDSO" *> pure (Just NDSO)
  <|> A.string "NDSP" *> pure (Just NDSP)
  <|> A.string "NDSW" *> pure (Just NDSW)
  <|> A.string "NDX" *> pure (Just NDX)
  <|> A.string "NEGO" *> pure (Just NEGO)
  <|> A.string "NFX" *> pure (Just NFX)
  <|> A.string "NFXD" *> pure (Just NFXD)
  <|> A.string "NFXL" *> pure (Just NFXL)
  <|> A.string "NG" *> pure (Just NG)
  <|> A.string "NGIB" *> pure (Just NGIB)
  <|> A.string "NGYA" *> pure (Just NGYA)
  <|> A.string "NIBB" *> pure (Just NIBB)
  <|> A.string "NIBK" *> pure (Just NIBK)
  <|> A.string "NK" *> pure (Just NK)
  <|> A.string "NL" *> pure (Just NL)
  <|> A.string "NLB" *> pure (Just NLB)
  <|> A.string "NLX" *> pure (Just NLX)
  <|> A.string "NMDP" *> pure (Just NMDP)
  <|> A.string "NMGH" *> pure (Just NMGH)
  <|> A.string "NMJB" *> pure (Just NMJB)
  <|> A.string "NMOV" *> pure (Just NMOV)
  <|> A.string "NMS" *> pure (Just NMS)
  <|> A.string "NMSI" *> pure (Just NMSI)
  <|> A.string "NO" *> pure (Just NO)
  <|> A.string "NOLB" *> pure (Just NOLB)
  <|> A.string "NOLT" *> pure (Just NOLT)
  <|> A.string "NOMC" *> pure (Just NOMC)
  <|> A.string "NOMM" *> pure (Just NOMM)
  <|> A.string "NOMX" *> pure (Just NOMX)
  <|> A.string "NONY" *> pure (Just NONY)
  <|> A.string "NORD" *> pure (Just NORD)
  <|> A.string "NOSJ" *> pure (Just NOSJ)
  <|> A.string "NOSN" *> pure (Just NOSN)
  <|> A.string "NPE" *> pure (Just NPE)
  <|> A.string "NPRI" *> pure (Just NPRI)
  <|> A.string "NPSB" *> pure (Just NPSB)
  <|> A.string "NQWC" *> pure (Just NQWC)
  <|> A.string "NQWH" *> pure (Just NQWH)
  <|> A.string "NQWS" *> pure (Just NQWS)
  <|> A.string "NR" *> pure (Just NR)
  <|> A.string "NS" *> pure (Just NS)
  <|> A.string "NSE" *> pure (Just NSE)
  <|> A.string "NSI" *> pure (Just NSI)
  <|> A.string "NT" *> pure (Just NT)
  <|> A.string "NTHK" *> pure (Just NTHK)
  <|> A.string "NTNY" *> pure (Just NTNY)
  <|> A.string "NVCS" *> pure (Just NVCS)
  <|> A.string "NW" *> pure (Just NW)
  <|> A.string "NWSS" *> pure (Just NWSS)
  <|> A.string "NXBK" *> pure (Just NXBK)
  <|> A.string "NXCF" *> pure (Just NXCF)
  <|> A.string "NXEB" *> pure (Just NXEB)
  <|> A.string "NXED" *> pure (Just NXED)
  <|> A.string "NXFD" *> pure (Just NXFD)
  <|> A.string "NXIC" *> pure (Just NXIC)
  <|> A.string "NXIT" *> pure (Just NXIT)
  <|> A.string "NXON" *> pure (Just NXON)
  <|> A.string "NXOP" *> pure (Just NXOP)
  <|> A.string "NYB" *> pure (Just NYB)
  <|> A.string "NYBK" *> pure (Just NYBK)
  <|> A.string "NYBM" *> pure (Just NYBM)
  <|> A.string "NYKR" *> pure (Just NYKR)
  <|> A.string "NYM" *> pure (Just NYM)
  <|> A.string "NZ" *> pure (Just NZ)
  <|> A.string "NZFF" *> pure (Just NZFF)
  <|> A.string "NZNG" *> pure (Just NZNG)
  <|> A.string "NZX" *> pure (Just NZX)
  <|> A.string "OC" *> pure (Just OC)
  <|> A.string "OCBC" *> pure (Just OCBC)
  <|> A.string "OCBM" *> pure (Just OCBM)
  <|> A.string "OCBO" *> pure (Just OCBO)
  <|> A.string "OCBT" *> pure (Just OCBT)
  <|> A.string "OCKL" *> pure (Just OCKL)
  <|> A.string "ODE" *> pure (Just ODE)
  <|> A.string "OM" *> pure (Just OM)
  <|> A.string "OMP" *> pure (Just OMP)
  <|> A.string "OMX" *> pure (Just OMX)
  <|> A.string "OPAL" *> pure (Just OPAL)
  <|> A.string "OPRA" *> pure (Just OPRA)
  <|> A.string "OSBC" *> pure (Just OSBC)
  <|> A.string "OSE" *> pure (Just OSE)
  <|> A.string "OSEC" *> pure (Just OSEC)
  <|> A.string "OSLA" *> pure (Just OSLA)
  <|> A.string "OSLO" *> pure (Just OSLO)
  <|> A.string "OSLY" *> pure (Just OSLY)
  <|> A.string "OTCC" *> pure (Just OTCC)
  <|> A.string "OU" *> pure (Just OU)
  <|> A.string "PA" *> pure (Just PA)
  <|> A.string "PACT" *> pure (Just PACT)
  <|> A.string "PARG" *> pure (Just PARG)
  <|> A.string "PARS" *> pure (Just PARS)
  <|> A.string "PBBA" *> pure (Just PBBA)
  <|> A.string "PBFS" *> pure (Just PBFS)
  <|> A.string "PBFX" *> pure (Just PBFX)
  <|> A.string "PCER" *> pure (Just PCER)
  <|> A.string "PCTF" *> pure (Just PCTF)
  <|> A.string "PDCS" *> pure (Just PDCS)
  <|> A.string "PDSB" *> pure (Just PDSB)
  <|> A.string "PDSF" *> pure (Just PDSF)
  <|> A.string "PDSR" *> pure (Just PDSR)
  <|> A.string "PDSS" *> pure (Just PDSS)
  <|> A.string "PE" *> pure (Just PE)
  <|> A.string "PFTS" *> pure (Just PFTS)
  <|> A.string "PION" *> pure (Just PION)
  <|> A.string "PIPU" *> pure (Just PIPU)
  <|> A.string "PK" *> pure (Just PK)
  <|> A.string "PKEO" *> pure (Just PKEO)
  <|> A.string "PL" *> pure (Just PL)
  <|> A.string "PLUS" *> pure (Just PLUS)
  <|> A.string "PM" *> pure (Just PM)
  <|> A.string "PMI" *> pure (Just PMI)
  <|> A.string "PMTS" *> pure (Just PMTS)
  <|> A.string "PN" *> pure (Just PN)
  <|> A.string "PNMA" *> pure (Just PNMA)
  <|> A.string "PNX" *> pure (Just PNX)
  <|> A.string "PO" *> pure (Just PO)
  <|> A.string "POHB" *> pure (Just POHB)
  <|> A.string "PP" *> pure (Just PP)
  <|> A.string "PQ" *> pure (Just PQ)
  <|> A.string "PREB" *> pure (Just PREB)
  <|> A.string "PRG" *> pure (Just PRG)
  <|> A.string "PRUC" *> pure (Just PRUC)
  <|> A.string "PRUD" *> pure (Just PRUD)
  <|> A.string "PRVA" *> pure (Just PRVA)
  <|> A.string "PS" *> pure (Just PS)
  <|> A.string "PSAN" *> pure (Just PSAN)
  <|> A.string "PSRB" *> pure (Just PSRB)
  <|> A.string "PTCN" *> pure (Just PTCN)
  <|> A.string "PUBK" *> pure (Just PUBK)
  <|> A.string "PW" *> pure (Just PW)
  <|> A.string "PX" *> pure (Just PX)
  <|> A.string "PXE" *> pure (Just PXE)
  <|> A.string "PYDE" *> pure (Just PYDE)
  <|> A.string "PYSA" *> pure (Just PYSA)
  <|> A.string "PZ" *> pure (Just PZ)
  <|> A.string "QANB" *> pure (Just QANB)
  <|> A.string "QF" *> pure (Just QF)
  <|> A.string "QD" *> pure (Just QD)
  <|> A.string "QH" *> pure (Just QH)
  <|> A.string "QITO" *> pure (Just QITO)
  <|> A.string "QM" *> pure (Just QM)
  <|> A.string "QNBQ" *> pure (Just QNBQ)
  <|> A.string "QSE" *> pure (Just QSE)
  <|> A.string "QT" *> pure (Just QT)
  <|> A.string "QU" *> pure (Just QU)
  <|> A.string "QX" *> pure (Just QX)
  <|> A.string "RAAL" *> pure (Just RAAL)
  <|> A.string "RABF" *> pure (Just RABF)
  <|> A.string "RABO" *> pure (Just RABO)
  <|> A.string "RABP" *> pure (Just RABP)
  <|> A.string "RABS" *> pure (Just RABS)
  <|> A.string "RABX" *> pure (Just RABX)
  <|> A.string "RAIB" *> pure (Just RAIB)
  <|> A.string "RAIF" *> pure (Just RAIF)
  <|> A.string "RBA" *> pure (Just RBA)
  <|> A.string "RBAG" *> pure (Just RBAG)
  <|> A.string "RBBG" *> pure (Just RBBG)
  <|> A.string "RBBP" *> pure (Just RBBP)
  <|> A.string "RBBR" *> pure (Just RBBR)
  <|> A.string "RBBS" *> pure (Just RBBS)
  <|> A.string "RBC" *> pure (Just RBC)
  <|> A.string "RBCD" *> pure (Just RBCD)
  <|> A.string "RBCG" *> pure (Just RBCG)
  <|> A.string "RBCL" *> pure (Just RBCL)
  <|> A.string "RBCS" *> pure (Just RBCS)
  <|> A.string "RBEQ" *> pure (Just RBEQ)
  <|> A.string "RBGG" *> pure (Just RBGG)
  <|> A.string "RBGV" *> pure (Just RBGV)
  <|> A.string "RBHP" *> pure (Just RBHP)
  <|> A.string "RBHT" *> pure (Just RBHT)
  <|> A.string "RBHU" *> pure (Just RBHU)
  <|> A.string "RBHV" *> pure (Just RBHV)
  <|> A.string "RBI3" *> pure (Just RBI3)
  <|> A.string "RBIF" *> pure (Just RBIF)
  <|> A.string "RBIN" *> pure (Just RBIN)
  <|> A.string "RBJP" *> pure (Just RBJP)
  <|> A.string "RBKL" *> pure (Just RBKL)
  <|> A.string "RBKZ" *> pure (Just RBKZ)
  <|> A.string "RBLT" *> pure (Just RBLT)
  <|> A.string "RBND" *> pure (Just RBND)
  <|> A.string "RBNV" *> pure (Just RBNV)
  <|> A.string "RBS" *> pure (Just RBS)
  <|> A.string "RBSA" *> pure (Just RBSA)
  <|> A.string "RBSF" *> pure (Just RBSF)
  <|> A.string "RBSG" *> pure (Just RBSG)
  <|> A.string "RBSJ" *> pure (Just RBSJ)
  <|> A.string "RBSL" *> pure (Just RBSL)
  <|> A.string "RBSM" *> pure (Just RBSM)
  <|> A.string "RBSQ" *> pure (Just RBSQ)
  <|> A.string "RBSU" *> pure (Just RBSU)
  <|> A.string "RBTH" *> pure (Just RBTH)
  <|> A.string "RBTS" *> pure (Just RBTS)
  <|> A.string "RBVA" *> pure (Just RBVA)
  <|> A.string "RBXX" *> pure (Just RBXX)
  <|> A.string "RBZH" *> pure (Just RBZH)
  <|> A.string "RC" *> pure (Just RC)
  <|> A.string "RCB" *> pure (Just RCB)
  <|> A.string "RCBC" *> pure (Just RCBC)
  <|> A.string "RCZA" *> pure (Just RCZA)
  <|> A.string "RE" *> pure (Just RE)
  <|> A.string "RENA" *> pure (Just RENA)
  <|> A.string "RENF" *> pure (Just RENF)
  <|> A.string "RENS" *> pure (Just RENS)
  <|> A.string "REPK" *> pure (Just REPK)
  <|> A.string "RF" *> pure (Just RF)
  <|> A.string "RFOP" *> pure (Just RFOP)
  <|> A.string "RFX" *> pure (Just RFX)
  <|> A.string "RGI" *> pure (Just RGI)
  <|> A.string "RHBB" *> pure (Just RHBB)
  <|> A.string "RHBK" *> pure (Just RHBK)
  <|> A.string "RLB" *> pure (Just RLB)
  <|> A.string "RLBN" *> pure (Just RLBN)
  <|> A.string "RM" *> pure (Just RM)
  <|> A.string "RMTN" *> pure (Just RMTN)
  <|> A.string "RN" *> pure (Just RN)
  <|> A.string "RO" *> pure (Just RO)
  <|> A.string "ROBA" *> pure (Just ROBA)
  <|> A.string "RP" *> pure (Just RP)
  <|> A.string "RQ" *> pure (Just RQ)
  <|> A.string "RR" *> pure (Just RR)
  <|> A.string "RRBS" *> pure (Just RRBS)
  <|> A.string "RRWH" *> pure (Just RRWH)
  <|> A.string "RSSH" *> pure (Just RSSH)
  <|> A.string "RTS" *> pure (Just RTS)
  <|> A.string "RTSM" *> pure (Just RTSM)
  <|> A.string "RU" *> pure (Just RU)
  <|> A.string "RURL" *> pure (Just RURL)
  <|> A.string "RUSL" *> pure (Just RUSL)
  <|> A.string "RUSS" *> pure (Just RUSS)
  <|> A.string "RW" *> pure (Just RW)
  <|> A.string "RX" *> pure (Just RX)
  <|> A.string "RYAX" *> pure (Just RYAX)
  <|> A.string "RYBN" *> pure (Just RYBN)
  <|> A.string "RYBX" *> pure (Just RYBX)
  <|> A.string "RYOZ" *> pure (Just RYOZ)
  <|> A.string "RYSW" *> pure (Just RYSW)
  <|> A.string "RZ" *> pure (Just RZ)
  <|> A.string "RZBB" *> pure (Just RZBB)
  <|> A.string "S1" *> pure (Just S1)
  <|> A.string "S2" *> pure (Just S2)
  <|> A.string "SA" *> pure (Just SA)
  <|> A.string "SACM" *> pure (Just SACM)
  <|> A.string "SAFC" *> pure (Just SAFC)
  <|> A.string "SAFE" *> pure (Just SAFE)
  <|> A.string "SAFM" *> pure (Just SAFM)
  <|> A.string "SAM1" *> pure (Just SAM1)
  <|> A.string "SANY" *> pure (Just SANY)
  <|> A.string "SASE" *> pure (Just SASE)
  <|> A.string "SB" *> pure (Just SB)
  <|> A.string "SBAF" *> pure (Just SBAF)
  <|> A.string "SBB" *> pure (Just SBB)
  <|> A.string "SBBK" *> pure (Just SBBK)
  <|> A.string "SBBZ" *> pure (Just SBBZ)
  <|> A.string "SBCH" *> pure (Just SBCH)
  <|> A.string "SBCR" *> pure (Just SBCR)
  <|> A.string "SBCZ" *> pure (Just SBCZ)
  <|> A.string "SBDZ" *> pure (Just SBDZ)
  <|> A.string "SBLL" *> pure (Just SBLL)
  <|> A.string "SBNW" *> pure (Just SBNW)
  <|> A.string "SBRA" *> pure (Just SBRA)
  <|> A.string "SBSA" *> pure (Just SBSA)
  <|> A.string "SBVN" *> pure (Just SBVN)
  <|> A.string "SBVZ" *> pure (Just SBVZ)
  <|> A.string "SCAG" *> pure (Just SCAG)
  <|> A.string "SCAX" *> pure (Just SCAX)
  <|> A.string "SCB" *> pure (Just SCB)
  <|> A.string "SCBK" *> pure (Just SCBK)
  <|> A.string "SCBM" *> pure (Just SCBM)
  <|> A.string "SCBS" *> pure (Just SCBS)
  <|> A.string "SCBZ" *> pure (Just SCBZ)
  <|> A.string "SCCH" *> pure (Just SCCH)
  <|> A.string "SCFB" *> pure (Just SCFB)
  <|> A.string "SCFG" *> pure (Just SCFG)
  <|> A.string "SCFI" *> pure (Just SCFI)
  <|> A.string "SCFX" *> pure (Just SCFX)
  <|> A.string "SCGV" *> pure (Just SCGV)
  <|> A.string "SCHB" *> pure (Just SCHB)
  <|> A.string "SCHF" *> pure (Just SCHF)
  <|> A.string "SCHK" *> pure (Just SCHK)
  <|> A.string "SCHN" *> pure (Just SCHN)
  <|> A.string "SCID" *> pure (Just SCID)
  <|> A.string "SCIP" *> pure (Just SCIP)
  <|> A.string "SCLB" *> pure (Just SCLB)
  <|> A.string "SCLD" *> pure (Just SCLD)
  <|> A.string "SCML" *> pure (Just SCML)
  <|> A.string "SCMP" *> pure (Just SCMP)
  <|> A.string "SCOP" *> pure (Just SCOP)
  <|> A.string "SCQQ" *> pure (Just SCQQ)
  <|> A.string "SCSS" *> pure (Just SCSS)
  <|> A.string "SCTH" *> pure (Just SCTH)
  <|> A.string "SCTL" *> pure (Just SCTL)
  <|> A.string "SCTP" *> pure (Just SCTP)
  <|> A.string "SCTW" *> pure (Just SCTW)
  <|> A.string "SCVN" *> pure (Just SCVN)
  <|> A.string "SD" *> pure (Just SD)
  <|> A.string "SDBK" *> pure (Just SDBK)
  <|> A.string "SE" *> pure (Just SE)
  <|> A.string "SEB" *> pure (Just SEB)
  <|> A.string "SEBF" *> pure (Just SEBF)
  <|> A.string "SEBO" *> pure (Just SEBO)
  <|> A.string "SEBP" *> pure (Just SEBP)
  <|> A.string "SEBS" *> pure (Just SEBS)
  <|> A.string "SEBT" *> pure (Just SEBT)
  <|> A.string "SEBX" *> pure (Just SEBX)
  <|> A.string "SEBZ" *> pure (Just SEBZ)
  <|> A.string "SECB" *> pure (Just SECB)
  <|> A.string "SECP" *> pure (Just SECP)
  <|> A.string "SENC" *> pure (Just SENC)
  <|> A.string "SENF" *> pure (Just SENF)
  <|> A.string "SENY" *> pure (Just SENY)
  <|> A.string "SETA" *> pure (Just SETA)
  <|> A.string "SETC" *> pure (Just SETC)
  <|> A.string "SETF" *> pure (Just SETF)
  <|> A.string "SETN" *> pure (Just SETN)
  <|> A.string "SF" *> pure (Just SF)
  <|> A.string "SFE" *> pure (Just SFE)
  <|> A.string "SFID" *> pure (Just SFID)
  <|> A.string "SG" *> pure (Just SG)
  <|> A.string "SGBZ" *> pure (Just SGBZ)
  <|> A.string "SGCR" *> pure (Just SGCR)
  <|> A.string "SGDP" *> pure (Just SGDP)
  <|> A.string "SGEL" *> pure (Just SGEL)
  <|> A.string "SGEN" *> pure (Just SGEN)
  <|> A.string "SGIC" *> pure (Just SGIC)
  <|> A.string "SGID" *> pure (Just SGID)
  <|> A.string "SGIN" *> pure (Just SGIN)
  <|> A.string "SGMA" *> pure (Just SGMA)
  <|> A.string "SGOP" *> pure (Just SGOP)
  <|> A.string "SGSP" *> pure (Just SGSP)
  <|> A.string "SGTP" *> pure (Just SGTP)
  <|> A.string "SGTS" *> pure (Just SGTS)
  <|> A.string "SGUT" *> pure (Just SGUT)
  <|> A.string "SGX" *> pure (Just SGX)
  <|> A.string "SHBR" *> pure (Just SHBR)
  <|> A.string "SHF" *> pure (Just SHF)
  <|> A.string "SHFI" *> pure (Just SHFI)
  <|> A.string "SHFY" *> pure (Just SHFY)
  <|> A.string "SHOR" *> pure (Just SHOR)
  <|> A.string "SI" *> pure (Just SI)
  <|> A.string "SIAC" *> pure (Just SIAC)
  <|> A.string "SIB" *> pure (Just SIB)
  <|> A.string "SINV" *> pure (Just SINV)
  <|> A.string "SJ" *> pure (Just SJ)
  <|> A.string "SK" *> pure (Just SK)
  <|> A.string "SKOM" *> pure (Just SKOM)
  <|> A.string "SL" *> pure (Just SL)
  <|> A.string "SM" *> pure (Just SM)
  <|> A.string "SMBS" *> pure (Just SMBS)
  <|> A.string "SME" *> pure (Just SME)
  <|> A.string "SMKT" *> pure (Just SMKT)
  <|> A.string "SMTH" *> pure (Just SMTH)
  <|> A.string "SMTS" *> pure (Just SMTS)
  <|> A.string "SN" *> pure (Just SN)
  <|> A.string "SNCT" *> pure (Just SNCT)
  <|> A.string "SNET" *> pure (Just SNET)
  <|> A.string "SNEU" *> pure (Just SNEU)
  <|> A.string "SNFY" *> pure (Just SNFY)
  <|> A.string "SNS" *> pure (Just SNS)
  <|> A.string "SNY1" *> pure (Just SNY1)
  <|> A.string "SO" *> pure (Just SO)
  <|> A.string "SOCE" *> pure (Just SOCE)
  <|> A.string "SOCW" *> pure (Just SOCW)
  <|> A.string "SP" *> pure (Just SP)
  <|> A.string "SPDB" *> pure (Just SPDB)
  <|> A.string "SPGC" *> pure (Just SPGC)
  <|> A.string "SPI" *> pure (Just SPI)
  <|> A.string "SPRI" *> pure (Just SPRI)
  <|> A.string "SPS" *> pure (Just SPS)
  <|> A.string "SPX" *> pure (Just SPX)
  <|> A.string "SQ" *> pure (Just SQ)
  <|> A.string "SR" *> pure (Just SR)
  <|> A.string "SRIB" *> pure (Just SRIB)
  <|> A.string "SS" *> pure (Just SS)
  <|> A.string "SSBM" *> pure (Just SSBM)
  <|> A.string "SSE" *> pure (Just SSE)
  <|> A.string "SSEI" *> pure (Just SSEI)
  <|> A.string "SSEY" *> pure (Just SSEY)
  <|> A.string "SSFX" *> pure (Just SSFX)
  <|> A.string "SSMB" *> pure (Just SSMB)
  <|> A.string "STCH" *> pure (Just STCH)
  <|> A.string "STCK" *> pure (Just STCK)
  <|> A.string "STFX" *> pure (Just STFX)
  <|> A.string "STSL" *> pure (Just STSL)
  <|> A.string "SU" *> pure (Just SU)
  <|> A.string "SUBP" *> pure (Just SUBP)
  <|> A.string "SV" *> pure (Just SV)
  <|> A.string "SVEN" *> pure (Just SVEN)
  <|> A.string "SW" *> pure (Just SW)
  <|> A.string "SWEA" *> pure (Just SWEA)
  <|> A.string "SWXC" *> pure (Just SWXC)
  <|> A.string "SWXI" *> pure (Just SWXI)
  <|> A.string "SX" *> pure (Just SX)
  <|> A.string "SY" *> pure (Just SY)
  <|> A.string "SYDB" *> pure (Just SYDB)
  <|> A.string "SYDF" *> pure (Just SYDF)
  <|> A.string "SYDG" *> pure (Just SYDG)
  <|> A.string "SYDI" *> pure (Just SYDI)
  <|> A.string "SYNF" *> pure (Just SYNF)
  <|> A.string "SZ" *> pure (Just SZ)
  <|> A.string "TA" *> pure (Just TA)
  <|> A.string "TADW" *> pure (Just TADW)
  <|> A.string "TAKB" *> pure (Just TAKB)
  <|> A.string "TAS" *> pure (Just TAS)
  <|> A.string "TATB" *> pure (Just TATB)
  <|> A.string "TATR" *> pure (Just TATR)
  <|> A.string "TB" *> pure (Just TB)
  <|> A.string "TBDC" *> pure (Just TBDC)
  <|> A.string "TBDE" *> pure (Just TBDE)
  <|> A.string "TBMD" *> pure (Just TBMD)
  <|> A.string "TBML" *> pure (Just TBML)
  <|> A.string "TBMR" *> pure (Just TBMR)
  <|> A.string "TBMW" *> pure (Just TBMW)
  <|> A.string "TC" *> pure (Just TC)
  <|> A.string "TCM" *> pure (Just TCM)
  <|> A.string "TDAX" *> pure (Just TDAX)
  <|> A.string "TDAY" *> pure (Just TDAY)
  <|> A.string "TDB" *> pure (Just TDB)
  <|> A.string "TDCA" *> pure (Just TDCA)
  <|> A.string "TDCO" *> pure (Just TDCO)
  <|> A.string "TDIJ" *> pure (Just TDIJ)
  <|> A.string "TDPX" *> pure (Just TDPX)
  <|> A.string "TE" *> pure (Just TE)
  <|> A.string "TEBD" *> pure (Just TEBD)
  <|> A.string "TEBX" *> pure (Just TEBX)
  <|> A.string "TEF" *> pure (Just TEF)
  <|> A.string "TFIC" *> pure (Just TFIC)
  <|> A.string "TFIN" *> pure (Just TFIN)
  <|> A.string "TFSP" *> pure (Just TFSP)
  <|> A.string "TFST" *> pure (Just TFST)
  <|> A.string "TFUB" *> pure (Just TFUB)
  <|> A.string "TFX" *> pure (Just TFX)
  <|> A.string "TG" *> pure (Just TG)
  <|> A.string "TH" *> pure (Just TH)
  <|> A.string "THAN" *> pure (Just THAN)
  <|> A.string "TI" *> pure (Just TI)
  <|> A.string "TING" *> pure (Just TING)
  <|> A.string "TJ" *> pure (Just TJ)
  <|> A.string "TK" *> pure (Just TK)
  <|> A.string "TKD" *> pure (Just TKD)
  <|> A.string "TKF" *> pure (Just TKF)
  <|> A.string "TKPR" *> pure (Just TKPR)
  <|> A.string "TKYO" *> pure (Just TKYO)
  <|> A.string "TL" *> pure (Just TL)
  <|> A.string "TMAF" *> pure (Just TMAF)
  <|> A.string "TMBB" *> pure (Just TMBB)
  <|> A.string "TMBK" *> pure (Just TMBK)
  <|> A.string "TMBT" *> pure (Just TMBT)
  <|> A.string "TMIX" *> pure (Just TMIX)
  <|> A.string "TMJK" *> pure (Just TMJK)
  <|> A.string "TMKR" *> pure (Just TMKR)
  <|> A.string "TMUH" *> pure (Just TMUH)
  <|> A.string "TMUQ" *> pure (Just TMUQ)
  <|> A.string "TN" *> pure (Just TN)
  <|> A.string "TOKX" *> pure (Just TOKX)
  <|> A.string "TOTC" *> pure (Just TOTC)
  <|> A.string "TOTL" *> pure (Just TOTL)
  <|> A.string "TP" *> pure (Just TP)
  <|> A.string "TPB" *> pure (Just TPB)
  <|> A.string "TPBM" *> pure (Just TPBM)
  <|> A.string "TPFB" *> pure (Just TPFB)
  <|> A.string "TPFI" *> pure (Just TPFI)
  <|> A.string "TPFT" *> pure (Just TPFT)
  <|> A.string "TPFX" *> pure (Just TPFX)
  <|> A.string "TPMM" *> pure (Just TPMM)
  <|> A.string "TPOV" *> pure (Just TPOV)
  <|> A.string "TPSC" *> pure (Just TPSC)
  <|> A.string "TPSF" *> pure (Just TPSF)
  <|> A.string "TPSM" *> pure (Just TPSM)
  <|> A.string "TPVO" *> pure (Just TPVO)
  <|> A.string "TQ" *> pure (Just TQ)
  <|> A.string "TR" *> pure (Just TR)
  <|> A.string "TRAC" *> pure (Just TRAC)
  <|> A.string "TRAS" *> pure (Just TRAS)
  <|> A.string "TRBI" *> pure (Just TRBI)
  <|> A.string "TRBX" *> pure (Just TRBX)
  <|> A.string "TRCH" *> pure (Just TRCH)
  <|> A.string "TRDG" *> pure (Just TRDG)
  <|> A.string "TREM" *> pure (Just TREM)
  <|> A.string "TRHK" *> pure (Just TRHK)
  <|> A.string "TRLU" *> pure (Just TRLU)
  <|> A.string "TRNK" *> pure (Just TRNK)
  <|> A.string "TRPH" *> pure (Just TRPH)
  <|> A.string "TRPU" *> pure (Just TRPU)
  <|> A.string "TRSA" *> pure (Just TRSA)
  <|> A.string "TRSG" *> pure (Just TRSG)
  <|> A.string "TRSP" *> pure (Just TRSP)
  <|> A.string "TRSU" *> pure (Just TRSU)
  <|> A.string "TRUK" *> pure (Just TRUK)
  <|> A.string "TSB" *> pure (Just TSB)
  <|> A.string "TSBI" *> pure (Just TSBI)
  <|> A.string "TSX" *> pure (Just TSX)
  <|> A.string "TT" *> pure (Just TT)
  <|> A.string "TTFX" *> pure (Just TTFX)
  <|> A.string "TU" *> pure (Just TU)
  <|> A.string "TUNE" *> pure (Just TUNE)
  <|> A.string "TUSA" *> pure (Just TUSA)
  <|> A.string "TV" *> pure (Just TV)
  <|> A.string "TW" *> pure (Just TW)
  <|> A.string "TX" *> pure (Just TX)
  <|> A.string "TZ" *> pure (Just TZ)
  <|> A.string "UA" *> pure (Just UA)
  <|> A.string "UAEI" *> pure (Just UAEI)
  <|> A.string "UB" *> pure (Just UB)
  <|> A.string "UBAP" *> pure (Just UBAP)
  <|> A.string "UBCB" *> pure (Just UBCB)
  <|> A.string "UBCH" *> pure (Just UBCH)
  <|> A.string "UBEM" *> pure (Just UBEM)
  <|> A.string "UBHK" *> pure (Just UBHK)
  <|> A.string "UBIL" *> pure (Just UBIL)
  <|> A.string "UBIN" *> pure (Just UBIN)
  <|> A.string "UBMX" *> pure (Just UBMX)
  <|> A.string "UBS" *> pure (Just UBS)
  <|> A.string "UBSB" *> pure (Just UBSB)
  <|> A.string "UBSC" *> pure (Just UBSC)
  <|> A.string "UBSD" *> pure (Just UBSD)
  <|> A.string "UBSF" *> pure (Just UBSF)
  <|> A.string "UBSM" *> pure (Just UBSM)
  <|> A.string "UBSN" *> pure (Just UBSN)
  <|> A.string "UBSR" *> pure (Just UBSR)
  <|> A.string "UBST" *> pure (Just UBST)
  <|> A.string "UBSX" *> pure (Just UBSX)
  <|> A.string "UBSZ" *> pure (Just UBSZ)
  <|> A.string "UC" *> pure (Just UC)
  <|> A.string "UCBB" *> pure (Just UCBB)
  <|> A.string "UCRO" *> pure (Just UCRO)
  <|> A.string "UD" *> pure (Just UD)
  <|> A.string "UE" *> pure (Just UE)
  <|> A.string "UEUG" *> pure (Just UEUG)
  <|> A.string "UF" *> pure (Just UF)
  <|> A.string "UFID" *> pure (Just UFID)
  <|> A.string "UG" *> pure (Just UG)
  <|> A.string "UH" *> pure (Just UH)
  <|> A.string "UIFX" *> pure (Just UIFX)
  <|> A.string "UJ" *> pure (Just UJ)
  <|> A.string "UK" *> pure (Just UK)
  <|> A.string "UKIX" *> pure (Just UKIX)
  <|> A.string "UKR" *> pure (Just UKR)
  <|> A.string "UKRB" *> pure (Just UKRB)
  <|> A.string "UKRN" *> pure (Just UKRN)
  <|> A.string "UL" *> pure (Just UL)
  <|> A.string "UM" *> pure (Just UM)
  <|> A.string "UN" *> pure (Just UN)
  <|> A.string "UNCR" *> pure (Just UNCR)
  <|> A.string "UNPK" *> pure (Just UNPK)
  <|> A.string "UO" *> pure (Just UO)
  <|> A.string "UOB" *> pure (Just UOB)
  <|> A.string "UOBA" *> pure (Just UOBA)
  <|> A.string "UOBB" *> pure (Just UOBB)
  <|> A.string "UOBF" *> pure (Just UOBF)
  <|> A.string "UOBG" *> pure (Just UOBG)
  <|> A.string "UOBL" *> pure (Just UOBL)
  <|> A.string "UOBM" *> pure (Just UOBM)
  <|> A.string "UOBN" *> pure (Just UOBN)
  <|> A.string "UOBS" *> pure (Just UOBS)
  <|> A.string "UOBT" *> pure (Just UOBT)
  <|> A.string "UOBV" *> pure (Just UOBV)
  <|> A.string "UOBX" *> pure (Just UOBX)
  <|> A.string "UP" *> pure (Just UP)
  <|> A.string "UPIN" *> pure (Just UPIN)
  <|> A.string "UQ" *> pure (Just UQ)
  <|> A.string "UR" *> pure (Just UR)
  <|> A.string "US" *> pure (Just US)
  <|> A.string "USE" *> pure (Just USE)
  <|> A.string "UT" *> pure (Just UT)
  <|> A.string "UTIB" *> pure (Just UTIB)
  <|> A.string "UU" *> pure (Just UU)
  <|> A.string "UV" *> pure (Just UV)
  <|> A.string "UW" *> pure (Just UW)
  <|> A.string "UX" *> pure (Just UX)
  <|> A.string "UY" *> pure (Just UY)
  <|> A.string "UZ" *> pure (Just UZ)
  <|> A.string "UZHO" *> pure (Just UZHO)
  <|> A.string "VALP" *> pure (Just VALP)
  <|> A.string "VALY" *> pure (Just VALY)
  <|> A.string "VB" *> pure (Just VB)
  <|> A.string "VBCZ" *> pure (Just VBCZ)
  <|> A.string "VBLT" *> pure (Just VBLT)
  <|> A.string "VC" *> pure (Just VC)
  <|> A.string "VFIX" *> pure (Just VFIX)
  <|> A.string "VH" *> pure (Just VH)
  <|> A.string "VI" *> pure (Just VI)
  <|> A.string "VISB" *> pure (Just VISB)
  <|> A.string "VJ" *> pure (Just VJ)
  <|> A.string "VK" *> pure (Just VK)
  <|> A.string "VM" *> pure (Just VM)
  <|> A.string "VN" *> pure (Just VN)
  <|> A.string "VNBF" *> pure (Just VNBF)
  <|> A.string "VONT" *> pure (Just VONT)
  <|> A.string "VR" *> pure (Just VR)
  <|> A.string "VS" *> pure (Just VS)
  <|> A.string "VU" *> pure (Just VU)
  <|> A.string "VX" *> pure (Just VX)
  <|> A.string "VY" *> pure (Just VY)
  <|> A.string "VYSA" *> pure (Just VYSA)
  <|> A.string "WACO" *> pure (Just WACO)
  <|> A.string "WBCA" *> pure (Just WBCA)
  <|> A.string "WBCP" *> pure (Just WBCP)
  <|> A.string "WBFX" *> pure (Just WBFX)
  <|> A.string "WBFZ" *> pure (Just WBFZ)
  <|> A.string "WCE" *> pure (Just WCE)
  <|> A.string "WDAS" *> pure (Just WDAS)
  <|> A.string "WDM" *> pure (Just WDM)
  <|> A.string "WDRJ" *> pure (Just WDRJ)
  <|> A.string "WDRL" *> pure (Just WDRL)
  <|> A.string "WFSE" *> pure (Just WFSE)
  <|> A.string "WGD" *> pure (Just WGD)
  <|> A.string "WGS" *> pure (Just WGS)
  <|> A.string "WGSW" *> pure (Just WGSW)
  <|> A.string "WLBD" *> pure (Just WLBD)
  <|> A.string "WLBO" *> pure (Just WLBO)
  <|> A.string "WMCD" *> pure (Just WMCD)
  <|> A.string "WMCF" *> pure (Just WMCF)
  <|> A.string "WMCO" *> pure (Just WMCO)
  <|> A.string "WMCZ" *> pure (Just WMCZ)
  <|> A.string "WMIF" *> pure (Just WMIF)
  <|> A.string "WMIN" *> pure (Just WMIN)
  <|> A.string "WMIS" *> pure (Just WMIS)
  <|> A.string "WMND" *> pure (Just WMND)
  <|> A.string "WMTS" *> pure (Just WMTS)
  <|> A.string "WOTC" *> pure (Just WOTC)
  <|> A.string "WPAC" *> pure (Just WPAC)
  <|> A.string "WSE" *> pure (Just WSE)
  <|> A.string "WSTO" *> pure (Just WSTO)
  <|> A.string "XA" *> pure (Just XA)
  <|> A.string "XB" *> pure (Just XB)
  <|> A.string "XC" *> pure (Just XC)
  <|> A.string "XD" *> pure (Just XD)
  <|> A.string "XE" *> pure (Just XE)
  <|> A.string "XETB" *> pure (Just XETB)
  <|> A.string "XF" *> pure (Just XF)
  <|> A.string "XG" *> pure (Just XG)
  <|> A.string "XH" *> pure (Just XH)
  <|> A.string "XI" *> pure (Just XI)
  <|> A.string "XJ" *> pure (Just XJ)
  <|> A.string "XK" *> pure (Just XK)
  <|> A.string "XL" *> pure (Just XL)
  <|> A.string "XMSC" *> pure (Just XMSC)
  <|> A.string "XN" *> pure (Just XN)
  <|> A.string "XO" *> pure (Just XO)
  <|> A.string "XP" *> pure (Just XP)
  <|> A.string "XR" *> pure (Just XR)
  <|> A.string "XS" *> pure (Just XS)
  <|> A.string "XT" *> pure (Just XT)
  <|> A.string "XU" *> pure (Just XU)
  <|> A.string "XV" *> pure (Just XV)
  <|> A.string "XW" *> pure (Just XW)
  <|> A.string "YC" *> pure (Just YC)
  <|> A.string "YELW" *> pure (Just YELW)
  <|> A.string "YLDX" *> pure (Just YLDX)
  <|> A.string "YLX" *> pure (Just YLX)
  <|> A.string "ZA" *> pure (Just ZA)
  <|> A.string "ZCE" *> pure (Just ZCE)
  <|> A.string "ZFBY" *> pure (Just ZFBY)
  <|> A.string "ZFDX" *> pure (Just ZFDX)
  <|> A.string "ZFFY" *> pure (Just ZFFY)
  <|> A.string "ZFGY" *> pure (Just ZFGY)
  <|> A.string "ZFHY" *> pure (Just ZFHY)
  <|> A.string "ZFIY" *> pure (Just ZFIY)
  <|> A.string "ZFJY" *> pure (Just ZFJY)
  <|> A.string "ZFKX" *> pure (Just ZFKX)
  <|> A.string "ZFOX" *> pure (Just ZFOX)
  <|> A.string "ZFUY" *> pure (Just ZFUY)
  <|> A.string "ZFVY" *> pure (Just ZFVY)
  <|> A.string "ZFWX" *> pure (Just ZFWX)
  <|> A.string "ZFXH" *> pure (Just ZFXH)
  <|> A.string "ZFXK" *> pure (Just ZFXK)
  <|> A.string "ZFXL" *> pure (Just ZFXL)
  <|> A.string "ZFXM" *> pure (Just ZFXM)
  <|> A.string "ZFXR" *> pure (Just ZFXR)
  <|> A.string "ZH" *> pure (Just ZH)
  <|> A.string "ZKB" *> pure (Just ZKB)
  <|> A.string "ZKBT" *> pure (Just ZKBT)
  <|> A.string "ZKBZ" *> pure (Just ZKBZ)
  <|> A.string "ZL" *> pure (Just ZL)
  <|> A.string "ZSEH" *> pure (Just ZSEH)
  <|> pure Nothing
